package com.gree.mall.miniapp.bean.es;

import com.gree.mall.miniapp.plus.entity.EsGoodsImg;
import com.gree.mall.miniapp.plus.entity.EsOrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class ESGoodsBean {

    @ApiModelProperty(value = "商品id")
    private String id;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "用户昵称")
    private String userNickName;

    @ApiModelProperty(value = "用户头像")
    private String userHeadImg;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品描述")
    private String goodsNote;

    @ApiModelProperty(value = "商品分类id")
    private String categoryId;

    @ApiModelProperty(value = "商品分类名称")
    private String categoryName;

    @ApiModelProperty(value = "商品价格（含运费）")
    private BigDecimal price;

    @ApiModelProperty(value = "上架数量")
    private Integer qty;

    @ApiModelProperty(value = "商品品牌")
    private String brand;

    @ApiModelProperty(value = "功率（W）")
    private String power;

    @ApiModelProperty(value = "能效标识id")
    private String markId;

    @ApiModelProperty(value = "能效标识")
    private String mark;

    @ApiModelProperty(value = "制造日期")
    private String makeDate;

    @ApiModelProperty(value = "联系电话")
    private String linkPhone;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "状态 ON=上架 OFF=下架 SALE=已卖出")
    private String status;

    @ApiModelProperty(value = "点赞数量")
    private Integer likeCount;

    @ApiModelProperty(value = "访问数量")
    private Integer queryCount;

    @ApiModelProperty(value = "留言数量")
    private Integer messageCount;

    @ApiModelProperty(value = "商品图片")
    private List<EsGoodsImg> imgList;
//
//    @ApiModelProperty(value = "留言")
//    private List<EsGoodsMessage> messageList;

    @ApiModelProperty(value = "是否点赞 true=是 false=否")
    private Boolean isPraise;

    @ApiModelProperty(value = "留言回复")
    private List<EsGoodsMessageBean> messageAndReplyList;


    @ApiModelProperty(value = "订单")
    private EsOrderInfo esOrderInfo;
}
