package com.gree.mall.miniapp.bean.goods;

import com.gree.mall.miniapp.plus.entity.*;
import com.gree.mall.miniapp.plus.entity.CommonFile;
import com.gree.mall.miniapp.plus.entity.Goods;
import com.gree.mall.miniapp.plus.entity.GoodsSpec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class GoodsBean extends Goods {

    @ApiModelProperty("商品库存")
    private Integer stock;

    @ApiModelProperty("商品规格")
    private List<GoodsSpecSecBean> goodsSpecs;

    @ApiModelProperty("轮播图")
    private List<CommonFile> images;

    @ApiModelProperty("是否收藏标记")
    private Boolean favorite;

    @ApiModelProperty(value = "秒杀id")
    private String secKillId;

    @ApiModelProperty("团购活动id")
    private String promotionGroupId;

    @ApiModelProperty("团长id")
    private String groupUserId;

    @ApiModelProperty("团长昵称")
    private String groupUserName;

    @ApiModelProperty("团长头像")
    private String groupPic;

    @ApiModelProperty(value = "秒杀商品规格id")
    private String secKillSpecId;

    @ApiModelProperty(value = "秒杀商品库存")
    private Integer secStockNum;

    @ApiModelProperty(value = "秒杀商品限制购买数量")
    private Integer limitBuy;

    @ApiModelProperty(value = "场次结束时间")
    private Integer endHour;

    @ApiModelProperty(value = "秒杀价格")
    private BigDecimal secPrice;

    @ApiModelProperty(value = "是否正在秒杀商品,true:秒杀中,false:非秒杀")
    private Boolean secType;

    @ApiModelProperty("商品模板")
    private CommonTemplate commonTemplate;

    @ApiModelProperty("公共商品模板")
    private PubTemplate pubCommonTemplate;

    @ApiModelProperty("当前角色的佣金")
    private BigDecimal shareAmount;

    @ApiModelProperty("正常佣金")
    private BigDecimal shareAmount1;
    @ApiModelProperty("内部佣金")
    private BigDecimal shareAmount2;

    @ApiModelProperty("是否为商户账号")
    private Boolean isMaster = false;

    @ApiModelProperty("满几件最优惠(满件商品才有该字段)")
    private Integer promotionFullPieceNum;
    @ApiModelProperty("满件条件最优惠的单价(满件商品才有该字段)")
    private BigDecimal promotionFullPiecePrice;

    private List<String> tags1;
    private List<String> tags2;

}
