package com.gree.mall.miniapp.bean.material;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class WebsitShoppingCartList {

    private String id;

    @ApiModelProperty(value = "师傅号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "师傅网点号")
    private String workerWebsitId;

    @ApiModelProperty(value = "师傅网点名称")
    private String workerWebsitName;

    @ApiModelProperty(value = "销售网点号")
    private String websitId;

    @ApiModelProperty(value = "销售网点名称")
    private String websitName;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品类型 M=辅材 P=配件")
    private String goodsType;

    @ApiModelProperty(value = "商品数量")
    private BigDecimal salesQty;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "销售金额")
    private BigDecimal saleAmount;

    @ApiModelProperty(value = "商品父类编号")
    private String parentCategoryId;

    @ApiModelProperty(value = "商品父类名称")
    private String parentCategoryName;

    @ApiModelProperty(value = "商品小类编号")
    private String goodsCategoryId;

    @ApiModelProperty(value = "商品小类名称")
    private String goodsCategoryName;

    @ApiModelProperty(value = "适用品牌")
    private String brand;

    @ApiModelProperty(value = "适用产品大类")
    private String productCategory;

    @ApiModelProperty(value = "销售单位转换系数")
    private BigDecimal goodsSalesConvertQty;

    @ApiModelProperty(value = "转换数保留小数位（以0舍1入方式保留）")
    private Integer convertBitScale;

    @ApiModelProperty(value = "是否入师傅库存 NO=否 YES=是")
    private String manageWorkerStock;

    @ApiModelProperty(value = "转换师傅入库数量")
    private BigDecimal convertQty;

    @ApiModelProperty(value = "师傅销售单位")
    private String goodsSalesUnit;

    @ApiModelProperty(value = "网点销售单位")
    private String goodsStockUnit;

    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    private Date createTime;

    @ApiModelProperty(value = "转换师傅单价")
    private BigDecimal convertPrice;

    @ApiModelProperty(value = "原配件单价")
    private BigDecimal origPartsPrice;

    @ApiModelProperty(value = "师傅商品id")
    private String workerGoodsId;

    @ApiModelProperty(value = "师傅商品名称")
    private String workerGoodsName;
}
