package com.gree.mall.miniapp.bean.material.parts;

import com.gree.mall.miniapp.plus.entity.WebsitPartsSales;
import com.gree.mall.miniapp.plus.entity.WebsitSalesPayOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class PartsSalesOrderBean extends WebsitPartsSales {

    @ApiModelProperty("购买方式")
    private String buyTypeName;

    @ApiModelProperty("单据状态")
    private String stateName;

    @ApiModelProperty("下推标志")
    private String pushFlagName;

    @ApiModelProperty("提货状态名称")
    private String pickupStateName;

    @ApiModelProperty(value = "订单配件信息", required = true)
    private List<PartsSalesOrderItemBean> itemList;

    @ApiModelProperty(value = "支付记录列表", required = true)
    private List<WebsitSalesPayOrder> payList;

    @ApiModelProperty(value = "全部支付记录列表")
    private List<WebsitSalesPayOrder> allPayList;

    @ApiModelProperty(value = "订单明细使用信息", required = true)
    private List<OldRefundManageRecordBean> oldRefundManageRecordBeanList;

}
