package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.bean.goods.AckGoodsBean;
import com.gree.mall.miniapp.bean.goods.GoodsBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class OrderAckBean {

    @ApiModelProperty("商品总金额")
    private BigDecimal totalAmount;
    @ApiModelProperty("商品详情")
    private List<AckGoodsBean> goods;
    @ApiModelProperty("商品总数量")
    private Integer totalNum;
    @ApiModelProperty("openid")
    private String openId;
    @ApiModelProperty("是否为秒杀活动")
    private Boolean isSecKill = false;
    @ApiModelProperty("运费")
    private BigDecimal freight;
    @ApiModelProperty("优惠券或者优惠码抵消金额")
    private BigDecimal exchangeAmount;
    @ApiModelProperty("折扣抵消金额")
    private BigDecimal discountAmount;
    @ApiModelProperty("订单实际支付金额 总金额 - 优惠券/优惠码金额 - 折扣扣减金额")
    private BigDecimal payAmount;
    @ApiModelProperty("折扣活动的折扣")
    private BigDecimal promotionDiscountRate;
    @ApiModelProperty("满件打折优惠金额")
    private BigDecimal promotionFullPieceDiscountAmount = new BigDecimal(0);
    @ApiModelProperty("满件打折优惠说明")
    private String promotionFullPriceRemark;

}
