package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.enums.PayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class OrderBuyBean {
    @ApiModelProperty("用户id")
    private String userId;
    @ApiModelProperty("我的优惠券id")
    private String userCouponId;
    @ApiModelProperty("收货地址id")
    private String userAddressId;
    @ApiModelProperty("是否代客下单")
    private Boolean proxyUser = false;
    @ApiModelProperty("买家留言")
    private String buyerMsg;
    @ApiModelProperty("兑换码")
    private String exchangeCode;

    @ApiModelProperty("购物车")
    public List<BuyGood> buyGoods;

    @ApiModelProperty("申请优惠的订单号")
    private String orderId;
    @ApiModelProperty("申请优惠价格")
    private BigDecimal applyAmount;
    @ApiModelProperty("申请优惠备注")
    private String applyRemark;

    @ApiModelProperty("套购商品id(如果是套购商品必传这个)")
    private String goodsPackageId;

    @ApiModelProperty("工单派单方式 自卖自装/当地安装")
    private String dispatchType;

    @ApiModelProperty("wechat pay")
    private Boolean wechatPay = true;
    private Boolean h5Pay ;

    @ApiModelProperty("WECHAT=微信支付   STORE = 到店支付")
    private String payTypeId = PayTypeEnum.WECHAT.getKey();


    @ApiModelProperty("是否小程序支付")
    private Boolean miniPay ;

    @ApiModelProperty("小程序支付openId")
    private String openId ;


    @ApiModelProperty("是否以旧换新")
    private String isOld;



    @ApiModelProperty("回收信息明细")
    private OrderOldProductAdd orderOldProductAdds;



}
