package com.gree.mall.miniapp.bean.workorder;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.util.List;

@ApiModel
@Data
public class OrderAppraiseBean {

    @NotBlank(message = "工单号不能为空")
    @ApiModelProperty("工单号")
    private String orderBaseId;
    @Max(5)
    @Min(1)
    @ApiModelProperty("评价等级1-5")
    private Integer level;
    @ApiModelProperty("评价内容")
    private String appraiseContent;
    @ApiModelProperty("评价图片")
    private String appraiseImgUrl;
}
