package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.miniapp.bean.settle.repair.DailyReportBean;
import com.gree.mall.miniapp.bean.settle.repair.DailyWorkerIssueSalaryBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DailyReportMapper {

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<DailyReportBean> issueDayList(@Param("workerNumber") String workerNumber,
                                       @Param("date")  String date,
                                       @Param("status") Integer status,
                                       @Param("install") Boolean install
    );

    List<DailyWorkerIssueSalaryBean> queryMyOrderList(@Param("workerNumber") String workerNumber,
                                                      @Param("salaryNo") String salaryNo,
                                                      @Param("id") String id,
                                                      @Param("q") String q
    );

    List<DailyWorkerIssueSalaryBean> queryMyOrderMonthList(@Param("workerNumber") String workerNumber,
                                                           @Param("summaryBatchNo") String summaryBatchNo,
                                                           @Param("id") String id,
                                                           @Param("q") String q
    );

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<DailyWorkerIssueSalaryBean> notIssueList(@Param("workerNumber") String workerNumber,
                                                  @Param("id") String id,
                                                  @Param("q") String q,
                                                  @Param("status") List<Integer> status,
                                                  @Param("install") Boolean install
    );
}
