package com.gree.mall.manager.bean;


import com.gree.mall.manager.inf.ValidGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel
public class SalesCustomerPartsItemBean {

    @ApiModelProperty(value = "新配件编码", required = true)
    @NotBlank(groups = {ValidGroup.Add.class, ValidGroup.Edit.class}, message = "新配件编码不能空")
    private String partsNumber;

    @ApiModelProperty(value = "数量", required = true)
    @NotNull(groups = {ValidGroup.Add.class, ValidGroup.Edit.class}, message = "数量不能空")
    private BigDecimal qty;

    @ApiModelProperty("旧配件编号")
    private String oldPartsNumber;

    @ApiModelProperty("旧配件名称")
    private String oldPartsName;

    @ApiModelProperty("收费明细id")
    private String workerOrderItemId;

//    @ApiModelProperty(value = "维修记录编号")
//    private String repairRecordNumber;
//
//    @ApiModelProperty(value = "机器条形码", required = true)
//    @NotBlank(groups = {ValidGroup.Add.class, ValidGroup.Edit.class}, message = "机器条形码不能空")
//    private String machineBarcode;

//    @ApiModelProperty(value = "修复时间", required = true)
//    @NotNull(groups = {ValidGroup.Add.class, ValidGroup.Edit.class}, message = "修复时间不能空")
//    private Date repairTime;

//    @ApiModelProperty("旧压缩机编号")
//    private String oldCompressNumber;
//
//    @ApiModelProperty("新压缩机编号")
//    private String newCompressNumber;
//
//    @ApiModelProperty("配件条码")
//    private String partsBarcode;
//
//    @ApiModelProperty("安装日期")
//    private Date installTime;
//
//    @ApiModelProperty("自编码")
//    private String customNo;

//    @ApiModelProperty("备注")
//    private String remark;
}
