package com.gree.mall.manager.bean;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class StorageVO   {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓储id")
    private String storageId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "仓储属性")
    private String type;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "仓储名称")
    private String storageName;

    @ApiModelProperty(value = "仓储地址")
    private String storageAddress;

    @ApiModelProperty(value = "仓储电话")
    private String storageMobile;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

//    @ApiModelProperty(value = "商户名称")
//    private String companyName;

    @ApiModelProperty(value = "是否默认仓")
    private IsEnum isDefault;
}
