package com.gree.mall.manager.bean.admin;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.gree.mall.manager.plus.entity.AdminCompanyWechat;
import com.gree.mall.manager.plus.entity.AdminDept;
import com.gree.mall.manager.plus.entity.AdminUser;
import com.gree.mall.manager.plus.entity.AdminWebsit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AdminUserCom extends AdminUser {


    private List<AdminWebsit> adminWebsit;
    private List<AdminDept> adminDept;

    @ApiModelProperty("部门id")
    private List<String> adminWebsitIds;
    @ApiModelProperty("只读帐号")
    private Boolean onlyRead = false;
    @ApiModelProperty("商户ids")
    private List<String> companyWechatIds;
//    @ApiModelProperty("企微id")
//    private List<String> corpIds;
//    @ApiModelProperty("企业微信id")
//    private String corpId;
//    @ApiModelProperty("当前登录人企业微信id")
//    private String loginCompanyWechatId;
//    @ApiModelProperty("当前登录人企业名称")
//    private String loginCompanyName;
    @ApiModelProperty("当前登录人所使用的商户信息")
    private AdminCompanyWechat adminCompanyWechat;

    private String token;

    @ApiModelProperty("库存管理方式 NO 不管理  CODE 管条码   NUM 管数量")
    private String joinCode;

    @ApiModelProperty("是否需要跳签约 true=是 false=否")
    private Boolean isJumpSign;

    @ApiModelProperty("合同签约信息")
    private String contractSignInfo;


    @JsonIgnore
    public String getJoinNickName() {
        return "(" + this.getUserName() + ")" + this.getNickName();
    }
}
