package com.gree.mall.manager.bean.contract;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class CompanyCaAuthVO {

    @ZfireField(hide = true)
    private String companyCaAuthId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "公司地址")
    private String companyAddress;

    @ApiModelProperty(value = "统一社会信用代码")
    private String taxNo;

    @ApiModelProperty(value = "营业执照附件")
    private String businessLicenseUrl;

    @ApiModelProperty(value = "法人")
    private String legalName;

    @ApiModelProperty(value = "法人联系方式")
    private String legalMobile;

    @ApiModelProperty(value = "法人身份证")
    private String legalIdCard;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大客户编号")
    private String fadadaCustomerId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大认证交易号")
    private String fadadaTransactionNo;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大认证地址")
    private String fadadaAuthUrl;

    @ApiModelProperty(value = "企业认证状态")
    private IsYesNoEnum fadadaIsAuth;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大授权状态(0：未认证;1：管理员资料已提交;2：企业基本资料(没有申请表)已提交;3：已提交待审核;4：审核通过（认证完成）;5：审核不通过;6：人工初审通过)")
    private String fadadaStatus;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大不通过原因")
    private String fadadaAuditFailReason;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大自动签授权交易号")
    private String fadadaAuthAutoId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大自动签授权合同编号")
    private String fadadaAuthAutoContractId;

    @ApiModelProperty(value = "自动签章状态")
    private IsYesNoEnum fadadaAuthAutoStatus;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大自动签授权地址")
    private String fadadaAuthAutoUrl;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大自动签授权查看地址")
    private String fadadaAuthAutoViewpdfUrl;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "法大大自动签授权下载地址")
    private String fadadaAuthAutoDownloadUrl;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
