package com.gree.mall.manager.bean.contract;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ContractTypeEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class ContractTemplateVO {

    @ZfireField(isShow = false)
    @ApiModelProperty(value = "合同模版编号")
    private String contractTemplateId;

//    @ApiModelProperty(value = "商户id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "合同名称")
    private String contractTemplateName;

//    @ApiModelProperty(value = "模版路径")
//    private String contractTemplatePdf;

//    @ApiModelProperty(value = "模版图片路径")
//    private String contractTemplateImg;

    @ApiModelProperty(value = "合同类型")
    private ContractTypeEnum contractType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "附件所属主合同id")
    private String followContractTemplateId;

    @ZfireField(tbName = "b", colName = "contract_template_name", ignoreSelect = true)
    @ApiModelProperty(value = "附件所属主合同")
    private String followContractTemplateName;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "生效日期")
    private Date validDate;

    @ApiModelProperty(value = "过期日期")
    private Date expireDate;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
