package com.gree.mall.manager.bean.contract;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.contract.SignContractStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitContractSignVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "二级网点编号")
    private String websitId;

    @ApiModelProperty(value = "二级网点名称")
    private String websitName;

    @ApiModelProperty(value = "一级网点名称")
    private String parentName;

    @ApiModelProperty(value = "一级网点编号")
    private String parentId;

    @ApiModelProperty(value = "合同名称")
    private String contractName;

    @ApiModelProperty(value = "实名状态")
    private IsYesNoEnum authStatus;

    @ApiModelProperty(value = "审核状态")
    private SignContractStatusEnum status;

    @ApiModelProperty(value = "签约时间")
    private Date signTime;

    @ApiModelProperty(value = "签约过期时间")
    private Date signOverTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ApiModelProperty(value = "失效操作人")
    private String cancelBy;

    @ApiModelProperty(value = "失效操作时间")
    private Date cancelTime;
}
