package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.engin.EnginPayManageStatusEnum;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class EnginPayManageVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "工单类型")
//    private String orderSmallType;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ApiModelProperty(value = "工程编号")
    private String projectNo;

    @ApiModelProperty(value = "销售单号")
    private String salesNo;

    @ApiModelProperty(value = "销售网点")
    private String salesWebsit;

    @ApiModelProperty(value = "费用类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "联系人")
    private String linkName;

    @ApiModelProperty(value = "客户电话")
    private String customerMobile;

    @ApiModelProperty(value = "客户电话2")
    private String customerMobile2;

//    @ApiModelProperty(value = "省")
//    private String province;
//
//    @ApiModelProperty(value = "省id")
//    private String provinceId;
//
//    @ApiModelProperty(value = "市")
//    private String city;
//
//    @ApiModelProperty(value = "市id")
//    private String cityId;
//
//    @ApiModelProperty(value = "区")
//    private String area;
//
//    @ApiModelProperty(value = "区id")
//    private String areaId;
//
//    @ApiModelProperty(value = "街道")
//    private String street;
//
//    @ApiModelProperty(value = "街道id")
//    private String streetId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "状态")
    private EnginPayManageStatusEnum status;

    @ApiModelProperty(value = "销售金额")
    private BigDecimal totalSalesAmount;

    @ApiModelProperty(value = "收款金额")
    private BigDecimal totalPayAmount;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "未收款金额")
    private BigDecimal totalNotPayAmount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "最后收款时间")
    private Date lastUpdateTime;

    @ApiModelProperty(value = "最后收款人")
    private String lastUpdateBy;
}
