package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.plus.entity.OrderEnginBaseItem;
import com.gree.mall.manager.plus.entity.OrderEnginBaseOperatorLog;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class OrderEnginBaseBean {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @NotBlank(message = "工程名称不能为空")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @NotBlank(message = "工程编号不能为空")
    @ApiModelProperty(value = "项目名称")
    private String projectNo;

    @NotBlank(message = "负责人不能为空")
    @ApiModelProperty(value = "负责人")
    private String manger;

    @NotBlank(message = "联系电话不能为空")
    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @NotNull(message = "项目开始时间不能为空")
    @ApiModelProperty(value = "项目开始时间")
    private Date startTime;

    @ApiModelProperty(value = "项目结束时间")
    private Date endTime;

    @NotBlank(message = "请选择费省")
    @ApiModelProperty(value = "省")
    private String province;

    @NotBlank(message = "请选择费省")
    @ApiModelProperty(value = "省id")
    private String provinceId;

    @NotBlank(message = "请选择费市")
    @ApiModelProperty(value = "市")
    private String city;

    @NotBlank(message = "请选择费市")
    @ApiModelProperty(value = "市id")
    private String cityId;

    @NotBlank(message = "请选择费区")
    @ApiModelProperty(value = "区")
    private String area;

    @NotBlank(message = "请选择费区")
    @ApiModelProperty(value = "区id")
    private String areaId;

    @NotBlank(message = "请选择街道")
    @ApiModelProperty(value = "街道")
    private String street;

    @NotBlank(message = "请选择街道")
    @ApiModelProperty(value = "街道id")
    private String streetId;

    @NotBlank(message = "详细地址不能为空")
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "项目说明")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "明细")
    private List<OrderEnginBaseItem> items;

    @ApiModelProperty(value = "操作记录")
    private List<OrderEnginBaseOperatorLog> operatorLogList;
}
