package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.plus.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class ProjectRepairBean {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @NotBlank(message = "项目名称不能为空")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @NotBlank(message = "负责人不能为空")
    @ApiModelProperty(value = "负责人")
    private String manger;

    @NotBlank(message = "联系电话不能为空")
    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @NotNull(message = "维保开始时间不能为空")
    @ApiModelProperty(value = "维保开始时间")
    private Date startTime;

    @NotNull(message = "维保结束时间不能为空")
    @ApiModelProperty(value = "维保结束时间")
    private Date endTime;

    @ApiModelProperty(value = "工单类型id")
    private String orderSmallType;

//    @NotBlank(message = "请选择工单类型")
    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @NotBlank(message = "请选择包含全部费用")
    @ApiModelProperty(value = "是否包含全部费用 YES=是 NO=否")
    private String isAllFee;

//    @NotBlank(message = "请选择费用支付方式")
    @ApiModelProperty(value = "费用支付方式 EXAMINE=审批后结算 SITE=现场")
    private String feePayMethod;

    @NotBlank(message = "请选择费省")
    @ApiModelProperty(value = "省")
    private String province;

    @NotBlank(message = "请选择费省")
    @ApiModelProperty(value = "省id")
    private String provinceId;

    @NotBlank(message = "请选择费市")
    @ApiModelProperty(value = "市")
    private String city;

    @NotBlank(message = "请选择费市")
    @ApiModelProperty(value = "市id")
    private String cityId;

    @NotBlank(message = "请选择费区")
    @ApiModelProperty(value = "区")
    private String area;

    @NotBlank(message = "请选择费区")
    @ApiModelProperty(value = "区id")
    private String areaId;

    @NotBlank(message = "请选择街道")
    @ApiModelProperty(value = "街道")
    private String street;

    @NotBlank(message = "请选择街道")
    @ApiModelProperty(value = "街道id")
    private String streetId;

    @NotBlank(message = "详细地址不能为空")
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "项目说明")
    private String remark;

    @ApiModelProperty(value = "服务二维码")
    private String serviceCode;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "项目设备")
    private List<RpProjectRepairProduct> productList;

    @ApiModelProperty(value = "项目人员")
    private List<RpProjectRepairBy> byList;

    @ApiModelProperty(value = "服务网点")
    private List<RpProjectRepairWebsit> websitList;

    @ApiModelProperty(value = "修改记录")
    private List<RpProjectRepairOperatorLog> operatorLogList;

    @ApiModelProperty(value = "配置明细")
    private List<RpProjectRepairItem> itemList;

    @ApiModelProperty(value = "工单类型")
    private List<OrderSmallType> typeList;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "经度")
    private String lng;
}
