package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.engin.FeePayMethodEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class ProjectRepairVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "负责人")
    private String manger;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ZfireField(type = "date")
    @ApiModelProperty(value = "维保开始时间")
    private Date startTime;

    @ZfireField(type = "date")
    @ApiModelProperty(value = "维保结束时间")
    private Date endTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工单类型")
    private String orderSmallType;

    @ApiModelProperty(value = "工单类型名称")
    private String orderSmallTypeText;

    @ApiModelProperty(value = "包含全部费用")
    private IsYesNoEnum isAllFee;

    @ApiModelProperty(value = "费用支付方式")
    private FeePayMethodEnum feePayMethod;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "省")
    private String province;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "省id")
    private String provinceId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "市")
    private String city;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "市id")
    private String cityId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "区")
    private String area;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "区id")
    private String areaId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "街道")
    private String street;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "街道id")
    private String streetId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "项目说明")
    private String remark;

    @ApiModelProperty(value = "服务二维码")
    private String serviceCode;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;
}
