package com.gree.mall.manager.bean.engin;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.*;
import com.gree.mall.manager.enums.engin.FeePayMethodEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import com.gree.mall.manager.plus.entity.RpMaterialOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class RpMaterialOrderAllListVO    {

    @ApiModelProperty(value = "申请单号")
    private String orderId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;


    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "品牌")
    private String brand;

    @ApiModelProperty(value = "客户名称")
    private String userName;

    @ApiModelProperty(value = "客户电话")
    private String userMobile;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "工程师编号")
    private String workerId;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ApiModelProperty(value = "身份证")
    private String identity;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "申请人")
    private String createBy;

    @ApiModelProperty(value = "申请时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "工单单号")
    private String workerOrderId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "产品数量")
    private BigDecimal num;

    @ApiModelProperty(value = "备注")
    private String remark;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String categoryId;

    @ApiModelProperty(value = "产品大类名称")
    private String categoryName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工单类型")
    private String orderSmallType;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ApiModelProperty(value = "费用单状态")
    private MaterialExamineStatusEnum examineStatus;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "费用支付方式")
    private FeePayMethodEnum feePayMethod;

    @ApiModelProperty(value = "是否包含全部费用")
    private IsYesNoEnum isAllFee;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "维保基础id")
    private String rpProjectRepairId;

    @ApiModelProperty(value = "项目名称")
    private String rpProjectRepairName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "支付类型")
    private SettlementPayTypeEnum payType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "结算状态")
    private SettlementStatusEnum status;
}
