package com.gree.mall.manager.bean.es;

/*
 * 通用列表
 * */

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 *  FieldIndex.not_analyzed：不会分词，只能根据原词索引Field;
 *  FieldIndex.analyzed：根据分词器分词，可以根据原词和分词后的词条索引Field;
 *  FieldIndex.no：该字段不会被索引，查不到；
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(indexName = "common_list_v2", type = "_doc", replicas = 1, shards = 1, createIndex = true)
public class CommonListES {

    @Id
    @Field(index = false, store = true, type = FieldType.Keyword)//index:设置通过这个字段是否可以进行搜索
    private String id;
    /**
     * 1=标题，2=内容
     */
    @ApiModelProperty("1=标题，2=内容")
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String type;
    //外键id
    @Field(index = false, store = true, type = FieldType.Integer)
    private String comListId;
    @ApiModelProperty("网点编号")
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String websitNumber;
    @ApiModelProperty("师傅编号")
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String workerNumber;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field1;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field2;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field3;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field4;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field5;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field6;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field7;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field8;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field9;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field10;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field11;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field12;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field13;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field14;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field15;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field16;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field17;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field18;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field19;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field20;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field21;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field22;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field23;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field24;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field25;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field26;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field27;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field28;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field29;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field30;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field31;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field32;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field33;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field34;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field35;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field36;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field37;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field38;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field39;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field40;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field41;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field42;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field43;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field44;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field45;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field46;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field47;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field48;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field49;
    @Field(index = false, store = true, type = FieldType.Keyword)
    private String field50;

}
