package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.CodeAccStatusEnum;
import com.gree.mall.manager.enums.CodeAccTypeEnum;
import com.gree.mall.manager.enums.material.GoodsMaterialTypeEnum;
import com.gree.mall.manager.enums.material.UnitEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class GoodsCodeAccVO   {

    @ZfireField(hide = true)
    private String goodsCodeAccId;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String mainId;

    @ApiModelProperty(value = "产品大类")
    private String mainName;

    @ZfireField(hide = true)

    @ApiModelProperty(value = "产品小类")
    private String smallId;

    @ApiModelProperty(value = "产品小类")
    private String smallName;

    @ApiModelProperty(value = "商品编号")
    private String goodsMaterialId;

    @ApiModelProperty(value = "商品名称")
    private String goodsMaterialName;

    @ApiModelProperty(value = "规格型号")
    private String specsName;

    @ApiModelProperty(value = "单位")
    private UnitEnum unit;

    @ApiModelProperty(value = "变动数量")
    private Integer qty;

    @ApiModelProperty(value = "结余数量")
    private Integer stockQty;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;


    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "条码")
    private String materialCode;

    @ApiModelProperty(value = "用户电话")
    private String userMobile;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "状态")
    private CodeAccStatusEnum status;

    @ApiModelProperty(value = "相关单据类型")
    private CodeAccTypeEnum orderType;

    @ApiModelProperty(value = "物料类型")
    private GoodsMaterialTypeEnum goodsMaterialItemType;

    @ApiModelProperty(value = "相关单据号")
    private String orderId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓库id")
    private String storageId;

    @ApiModelProperty(value = "所在仓库")
    private String storageName;

}
