package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.GoodsMaterialTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class GoodsPurchaseCodeVO {

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "单据编号")
    private String goodsPurchaseId;

    @ZfireField(tbName = "c", hide = true)
    @ApiModelProperty(value = "单据商品条码id")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "品牌名称")
    private String brandName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String mainId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "产品大类名称")
    private String mainName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "产品小类")
    private String smallId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "产品小类名称")
    private String smallName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "商品物料id")
    private String goodsMaterialId;

    @ZfireField(tbName = "c", hide = true)
    @ApiModelProperty(value = "商品子物料id")
    private String goodsMaterialItemId;

    @ZfireField(tbName = "c", hide = true)
    @ApiModelProperty(value = "单据商品明细id")
    private String goodsPurchaseItemId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品名称")
    private String goodsMaterialName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "系列名称")
    private String seriesName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "规格型号")
    private String specsName;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "机器类型")
    private GoodsMaterialTypeEnum goodsMaterialItemType;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "类型名称")
    private String goodsMaterialItemName;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "条码")
    private String code;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "数量")
    private Integer codeQty;

    @ZfireField(tbName = "c", hide = true)
    @ApiModelProperty(value = "是否一物一码")
    private IsYesNoEnum uniqueCode;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "审核人")
    private String examineBy;

    @ApiModelProperty(value = "审核时间")
    private Date examineTime;
}
