package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.IsEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class GoodsPurchaseVO   {

    @ApiModelProperty(value = "单据编号")
    private String id;

    @ApiModelProperty(value = "单据状态")
    private ExamineStatusEnum status;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;

    @ApiModelProperty(value = "采购总数量")
    private Integer totalQty;

    @ApiModelProperty(value = "采购总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "审核人")
    private String examineBy;

    @ApiModelProperty(value = "审核时间")
    private Date examineTime;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓储id")
    private String storageId;

    @ApiModelProperty(value = "入库仓库")
    private String storageName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品出入库是否关联条码")
    private IsEnum joinCode;
}
