package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.plus.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class GoodsSpecBean extends Goods {

    @ApiModelProperty(value = "商品规格id")
    private String goodsSpecId;

    @ApiModelProperty(value = "规格值")
    private String specValue;

    @ApiModelProperty(value = "仓库总库存")
    private Integer allStockNum;

    @ApiModelProperty(value = "图片")
    private String specImgUrl;

    @ApiModelProperty(value = "成本价")
    private BigDecimal costPrice;

    @ApiModelProperty(value = "销售价")
    private BigDecimal price;

    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgPrice;

    @ApiModelProperty(value = "分销金额")
    private BigDecimal shareAmount;

    @ApiModelProperty(value = "分销金额")
    private Double sharePercent;

    @ApiModelProperty(value = "内部分销金额")
    private BigDecimal innerShareAmount;

    @ApiModelProperty(value = "内部分销比列")
    private Double innerSharePercent;

    @ApiModelProperty(value = "库存")
    private Integer stockNum;

    @ApiModelProperty(value = "商品类别名称")
    private String categoryName;

    @ApiModelProperty("商品规格列表")
    private List<GoodsSpecVO> goodsSpecs;


    @ApiModelProperty("轮播图")
    private List<CommonFile> images;

    @ApiModelProperty("商品库存")
    private Integer stock;
    @ApiModelProperty("商品说明模板id")
    private String templateId;
    @ApiModelProperty("属性标签")
    private List<String> tags;

    @ApiModelProperty("标签")
    private List<String> tagsLabel;

    @ApiModelProperty("套购配置的比例商品")
    private List<GoodsPackagePop> goodsPackagePops;
    @ApiModelProperty("套购配置的指定用户-新增/编辑用")
    private List<GoodsPackageUserRela> goodsPackageUserRelas;

    @ApiModelProperty("套购商品配置的用户列表-详情用")
    private List<User> users;

}
