package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.UnitEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @author change
 */
@Data
@ApiModel
@ZfireField(tbName = "a")
public class GoodsStockVO    {

    @ZfireField(colName = "goods_material_id")
    @ApiModelProperty(value = "商品编号")
    private String goodsMaterialId;
//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String mainId;

    @ApiModelProperty(value = "产品大类名称")
    private String mainName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品小类")
    private String smallId;

    @ApiModelProperty(value = "产品小类名称")
    private String smallName;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "系列名称")
    private String seriesName;

    @ApiModelProperty(value = "规格型号")
    private String specsName;

    @ApiModelProperty(value = "单位")
    private UnitEnum unit;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否虚拟商品")
    private IsYesNoEnum isVirtyual;

    @ApiModelProperty(value = "内机数量")
    private Integer insideQty;

    @ApiModelProperty(value = "外机数量")
    private Integer outQty;

    @ApiModelProperty(value = "配件数量")
    private Integer partsQty;

    @ApiModelProperty(value = "最近采购单价")
    private BigDecimal amount;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓库id")
    private String storageId;

    @ApiModelProperty(value = "所在仓库")
    private String storageName;

    @ApiModelProperty(value = "库存数量")
    private Integer stockQty;


}
