package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class PromotionGroupListVO {

    @ZfireField(hide = true)
    private String promotionGroupId;

    @ApiModelProperty(value = "活动名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "海报图")
    private String posterImgUrl;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "活动图")
    private String imgUrl;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "企业微信id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyName;






    @ZfireField(isQuery = false,ignoreSelect = true)
    @ApiModelProperty("参数产品数量")
    private Integer goodsNum;
    @ZfireField(isQuery = false,ignoreSelect = true)
    @ApiModelProperty("订单数量")
    private Integer orderNum;
    @ZfireField(isQuery = false,ignoreSelect = true)
    @ApiModelProperty("订单台数")
    private Integer orderDetailNum;
    @ZfireField(isQuery = false,ignoreSelect = true)
    @ApiModelProperty("订单总金额")
    private BigDecimal orderTotalAmount;
    @ZfireField(isQuery = false,ignoreSelect = true)
    @ApiModelProperty("团长分佣总额")
    private BigDecimal shareTotalAmount;
}
