package com.gree.mall.manager.bean.goods.outside;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 商品
 * </p>
 *
 * @author gejiang
 * @since 2024-04-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Goods {

    private static final long serialVersionUID=1L;

    private String goodsId;

    @ApiModelProperty(value = "商品类型: COMMON=普通商品  PACKAGE=套购商品")
    private String goodsType;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品描述")
    private String describeText;

    @ApiModelProperty(value = "主图")
    private String imgUrl;

    @ApiModelProperty(value = "视频")
    private String vedio;

    @ApiModelProperty(value = "商品分类id")
    private String categoryId;

    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgGoodsPrice;

    @ApiModelProperty(value = "价格")
    private BigDecimal goodsPrice;

    @ApiModelProperty(value = "已售数量")
    private Integer soldNum;

    @ApiModelProperty(value = "是否多规格 true:是  false:否")
    private Boolean hasSpec;

    @ApiModelProperty(value = "商品详情显示库存 true:显示  false:隐藏")
    private Boolean showDetailStock;

    @ApiModelProperty(value = "商品详情显示销量 true:显示  false:隐藏")
    private Boolean showDetailSold;

    @ApiModelProperty(value = "TEMPLATE:运费模板   UNIFIED：统一运费")
    private String freightType;

    @ApiModelProperty(value = "运费模板id")
    private String freightTemplateId;

    @ApiModelProperty(value = "运费金额(元)")
    private BigDecimal freight;

    @ApiModelProperty(value = "商品详情")
    private String content;

    @ApiModelProperty(value = "排序")
    private Integer sortNum;

    @ApiModelProperty(value = "商品状态 true:上架  false:下架")
    private Boolean status;

    @ApiModelProperty(value = "是否为团购活动商品")
    private Boolean promotionGroup;

    @ApiModelProperty(value = "营销活动id(工单)")
    private Integer marketingId;

    @ApiModelProperty(value = "营销活动名称(工单)")
    private String marketingName;

    @ApiModelProperty(value = "水印logo")
    private String logo;

    @ApiModelProperty(value = "水印logo开始时间")
    private Date logoStartTime;

    @ApiModelProperty(value = "水印logo结束时间")
    private Date logoEndTime;

    @ApiModelProperty(value = "使用优惠券   0=不可使用 1=所有优惠券 2=满减券 3=商品券")
    private Integer useCoupon;

    @ApiModelProperty(value = "套购商品的适用范围： 0=指定人员 1=所有人 2=普通用户 3=业务员")
    private Integer packageUserType;

    @ApiModelProperty(value = "比例，例如(1:2或者2:3:1)")
    private String packagePop;

    @ApiModelProperty(value = "最低销售金额")
    private BigDecimal packageMinAmount;

    @ApiModelProperty(value = "最低分佣金额")
    private BigDecimal packageMinShareAmount;

    @ApiModelProperty(value = "删除标志  true：删除  false：未删除")
    @TableLogic
    private Boolean del;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;


}
