package com.gree.mall.manager.bean.goods.outside;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 商品规格
 * </p>
 *
 * @author gejiang
 * @since 2024-04-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="GoodsSpec对象", description="商品规格")
public class GoodsSpec {

    private static final long serialVersionUID=1L;

    private String goodsSpecId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "物料编号")
    private String goodsCode;

    @ApiModelProperty(value = "规格名称")
    private String name;

    @ApiModelProperty(value = "规格值")
    private String specValue;

    @ApiModelProperty(value = "图片")
    private String imgUrl;

    @ApiModelProperty(value = "成本价")
    private BigDecimal costPrice;

    @ApiModelProperty(value = "销售价")
    private BigDecimal price;

    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgPrice;

    @ApiModelProperty(value = "分销金额")
    private BigDecimal shareAmount;

    @ApiModelProperty(value = "分销比例")
    private Double sharePercent;

    @ApiModelProperty(value = "佣金类型.1:比例,0:固定金额")
    private Boolean shareType;

    @ApiModelProperty(value = "内部分销金额")
    private BigDecimal innerShareAmount;

    @ApiModelProperty(value = "内部分销比列")
    private Double innerSharePercent;

    @ApiModelProperty(value = "已售数量")
    private Integer soldNum;

    @ApiModelProperty(value = "库存")
    private Integer stockNum;

    @ApiModelProperty(value = "删除标志  true：删除  false：未删除")
    @TableLogic
    private Boolean del;

    @ApiModelProperty(value = "活动标志 true：活动中 false：非活动")
    private Boolean flag;

    @ApiModelProperty(value = "单位(金蝶对接的物料单位)")
    private String jindUnit;

    @ApiModelProperty(value = "税率(金蝶对接的物料税率例如:0.13)")
    private BigDecimal jindTax;

    @ApiModelProperty(value = "物料名称(金蝶对接)")
    private String jindName;

    private Date createTime;

    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

}
