package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.SaleTypeEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.enums.material.UnitEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 线下销售单列表
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/2 16:47
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class OrderInfoVO {

    @ZfireField(hide = true)
    private String companyWechatId;

    @ApiModelProperty("商户")
    private String companyWechatName;
    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("审批状态")
    private ExamineStatusEnum examineStatus;
    @ZfireField(tbName = "b")
    @ApiModelProperty("品牌")
    private String brandName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("大类")
    private String mainName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("小类")
    private String smallName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("商品名称")
    private String goodsName;

    @ZfireField(tbName = "b")
    @ApiModelProperty("规格型号")
    private String goodsSpecName;

    @ZfireField(tbName = "b")
    @ApiModelProperty("单位")
    private UnitEnum goodsMaterialUnit;

    @ZfireField(tbName = "b")
    @ApiModelProperty("数量")
    private Integer num;

    @ZfireField(tbName = "b")
    @ApiModelProperty("单价")
    private BigDecimal price;

    @ZfireField(tbName = "a")
    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;
    @ApiModelProperty("业务员")
    private String saleName;
    @ApiModelProperty("业务员电话")
    private String saleMobile;
    @ApiModelProperty("客户名称")
    private String receUserName;
    @ApiModelProperty("客户电话")
    private String recePhone;
    @ApiModelProperty("客户地址")
    private String receAddress;
    @ApiModelProperty("销售类型")
    private SaleTypeEnum saleType;
    @ZfireField(ignoreSelect = true,isQuery = false)
    @ApiModelProperty("支付状态")
    private String payStatus;
    @ApiModelProperty("支付方式")
    private PayTypeEnum payTypeId;
    @ApiModelProperty("支付订单号")
    private String transactionId;
    @ApiModelProperty("支付时间")
    private Date payTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("审核人")
    private String examineBy;
    @ApiModelProperty("审核时间")
    private Date examineTime;
}
