package com.gree.mall.manager.bean.listvo.goods;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品库
 * @author ：lijh
 * @description：TODO
 * @date ：2024/4/30 14:08
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class GoodsLibraryVO {

    @ZfireField(hide = true)
    @ApiModelProperty("商品id")
    private String goodsLibraryId;
    @ApiModelProperty("商品图片")
    private String imgUrl;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("品牌")
    private String brandName;
    @ApiModelProperty("是否虚拟商品")
    private IsEnum isVr;
    @ApiModelProperty("商品大类")
    private String category1;
    @ApiModelProperty("商品小类")
    private String category2;
    @ApiModelProperty("状态")
    private StatusEnum status;

    @ZfireField(tbName = "b")
    @ApiModelProperty("参考销售价格")
    private BigDecimal price;
    @ZfireField(tbName = "b")
    @ApiModelProperty("参考分销金额")
    private BigDecimal shareAmount;
    @ZfireField(tbName = "b")
    @ApiModelProperty("参考佣金比例")
    private BigDecimal sharePercent;
    @ZfireField(tbName = "b")
    @ApiModelProperty("参考内部分销金额")
    private BigDecimal innerShareAmount;
    @ZfireField(tbName = "b")
    @ApiModelProperty("参考内部分销比例")
    private BigDecimal innerSharePercent ;

    @ApiModelProperty("更新时间")
    private Date updateTime;
}
