package com.gree.mall.manager.bean.listvo.goods;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.DirectFlagEnum;
import com.gree.mall.manager.enums.material.UnitEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/18 10:47
 */
@ApiModel
@Data
@ZfireField(tbName = "a")
public class GoodsMaterialStockAccVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String mainId;

    @ApiModelProperty(value = "产品大类名")
    private String mainName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品小类id")
    private String smallId;

    @ApiModelProperty(value = "产品小类名")
    private String smallName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品物料id")
    private String goodsMaterialId;

    @ApiModelProperty(value = "商品物料名称")
    private String goodsMaterialName;

    @ApiModelProperty(value = "规格")
    private String goodsSpecsName;

    @ApiModelProperty(value = "单位")
    private UnitEnum unit;

    @ApiModelProperty(value = "发生价格")
    private BigDecimal price;

    @ApiModelProperty(value = "发生时间")
    private Date sdate;

    @ApiModelProperty(value = "发生方向")
    private DirectFlagEnum directFlag;

    @ApiModelProperty(value = "变动数量")
    private Integer changeQty;

    @ApiModelProperty(value = "当前库存数量")
    private Integer qty;

    @ApiModelProperty(value = "结存库存数量")
    private Integer closeQty;

    @ApiModelProperty(value = "相关单号")
    private String refBillNo;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓储id")
    private String storageId;

    @ApiModelProperty(value = "所在仓库")
    private String storageName;

    @ApiModelProperty(value = "相关单据类型")
    private String refBillType;

    @ApiModelProperty(value = "更新时间")
    private Date createTime;

}
