package com.gree.mall.manager.bean.listvo.material;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.DirectFlagEnum;
import com.gree.mall.manager.enums.material.PartsAttrEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 师傅配件库存明细
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class WorkerStockAccPVO {

//    @ZfireField(hide = true)
//    @ApiModelProperty("所属商户id")
//    private String companyWechatId;
//    @ApiModelProperty("所属商户")
//    private String companyWechatName;
    @ZfireField(hide = true)
    private String websitId;
    @ApiModelProperty("网点名称")
    private String websitName;

    @ZfireField(tbName = "e")
    @ApiModelProperty("师傅名称")
    private String nickName;
    @ZfireField(tbName = "e")
    @ApiModelProperty("师傅身份证号")
    private String idCard;
    @ZfireField(tbName = "e")
    @ApiModelProperty("师傅联系电话")
    private String mobile;

    @ZfireField(tbName = "b")
    @ApiModelProperty("配件名称")
    private String goodsName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("单位")
    private String goodsSalesUnit;
    @ZfireField(tbName = "b")
    @ApiModelProperty("配件编码")
    private String goodsCode;
    @ApiModelProperty("发生价格")
    private BigDecimal price;
    @ApiModelProperty("发生时间")
    private Date sdate;
    @ApiModelProperty("发生方向")
    private DirectFlagEnum directFlag;
    @ApiModelProperty("发生数量")
    private BigDecimal changeQty;
    @ApiModelProperty("当前库存数量")
    private BigDecimal qty;
    @ApiModelProperty("结存库存数量")
    private BigDecimal closeQty;
    @ApiModelProperty("相关单号")
    private String ref;
    @ApiModelProperty("相关单据类型")
    private String refType;
    @ApiModelProperty("业务对象")
    private String obj;
    @ApiModelProperty("更新人")
    private String operBy;
    @ApiModelProperty("更新时间")
    private Date operTime;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("配件属性")
    private PartsAttrEnum partsAttr;
}
