package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerGoodsVO {

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "师傅辅材编号")
    private String goodsId;

    @ApiModelProperty(value = "师傅辅材名称")
    private String goodsName;

    @ApiModelProperty(value = "师傅销售单位")
    private String salesUnit;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "父级商品分类ID")
    private String parentCategoryId;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "父级商品分类名称")
    private String parentCategoryName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "辅材小类ID")
    private String categoryId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "辅材小类")
    private String categoryName;

//    @ApiModelProperty(value = "商品代码")
//    private String goodsCode;

    @ApiModelProperty(value = "是否小件")
    private IsEnum isSmall;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "备注")
    private String remark;
}
