package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.PartsOrderFlagEnum;
import com.gree.mall.manager.enums.material.PartsRefTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsChangeSalesVO {

    @ApiModelProperty(value = "转销单号")
    private String changeSalesNo;

    @ApiModelProperty(value = "配件销售订单号")
    private String salesId;

    @ApiModelProperty(value = "转单类型")
    private PartsRefTypeEnum changeType;

    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编码")
    private String companyWechatId;

    @ApiModelProperty(value = "网点名称")
    private String companyWechatName;

    @ApiModelProperty(value = "网点编码")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "配件网点编号")
    private String partsWebsitId;

    @ApiModelProperty(value = "师傅身份证")
    private String identity;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "销售单流程结束时间")
    private Date salesEndTime;

    @ApiModelProperty(value = "审批备注")
    private String examineRemark;

    @ApiModelProperty(value = "单据状态")
    private PartsOrderFlagEnum flag;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交人")
    private String submitBy;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核人")
    private String examineBy;

    @ApiModelProperty(value = "审核时间")
    private Date examineTime;
}
