package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.plus.entity.WebsitPartsSalesItem;
import com.gree.mall.manager.plus.entity.WebsitSalesPayOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class WebsitPartsCreditBean {

    @ApiModelProperty(value = "记账id")
    private String id;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "购买方 WORKER=师傅 CUSTOMER=外部客户")
    private String buyPeople;

    @ApiModelProperty(value = "师傅身份证")
    private String identity;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "申请类别")
    private String applyCategory;

    @ApiModelProperty(value = "申请类型 0-普通申请 1-急件申请 2-备件申请")
    private Integer applyType;

    @ApiModelProperty(value = "发货方式 0-快递 1-自提")
    private Integer deliveryType;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ApiModelProperty(value = "接收单位")
    private String receiveUnit;

    @ApiModelProperty(value = "发货单位")
    private String deliveryUnit;

    @ApiModelProperty(value = "收件地址")
    private String receiveAddr;

    @ApiModelProperty(value = "收件地址-详细地址")
    private String addr;

    @ApiModelProperty(value = "单据来源 ONLINE=在线订单 SELF=自建订单")
    private String orderSource;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "支付方式 CASH=现金  ALLINPAY=通联 CREDIT=记账")
    private String payType;

    @ApiModelProperty(value = "下单时间")
    private Date createTime;

    @ApiModelProperty(value = "应收金额")
    private BigDecimal itemTotalAmount;

    @ApiModelProperty(value = "收款状态 true=已收款  false=未收款")
    private Boolean creditStatus;

    @ApiModelProperty(value = "收款人")
    private String updateBy;

    @ApiModelProperty(value = "收款时间")
    private Date updateTime;

    @ApiModelProperty(value = "明细")
    private WebsitPartsSalesItem item;

    @ApiModelProperty(value = "明细")
    private WebsitSalesPayOrder payOrder;
}
