package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsCreditItemVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "销售单号")
    private String salesId;

    @ZfireField(tbName = "b")
    @ApiModelProperty("销售类型")
    private BuyPeopleEnum buyPeople;

    @ZfireField(tbName = "b")
    @ApiModelProperty("申请类别")
    private PartsApplyCategoryEnum applyCategory;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ZfireField(hide = true)
    @ApiModelProperty("师傅编号")
    private String workerId;

    @ApiModelProperty("申请人")
    private String workerName;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ZfireField(tbName = "b")
    @ApiModelProperty("申请类型")
    private PartsApplyTypeEnum applyType;

    @ZfireField(tbName = "b")
    @ApiModelProperty("发货方式")
    private DeliveryTypeEnum deliveryType;

    @ZfireField(tbName = "b")
    @ApiModelProperty("接收单位")
    private String receiveUnit;

    @ZfireField(tbName = "b")
    @ApiModelProperty("发货单位")
    private String deliveryUnit;

    @ZfireField(tbName = "b")
    @ApiModelProperty("详细地址")
    private String addr;

    @ZfireField(tbName = "b")
    @ApiModelProperty("订单来源")
    private SourceSalesEnum orderSource;

    @ZfireField(tbName = "b")
    @ApiModelProperty("订单状态")
    private PartsOrderStatusEnum status;

    @ZfireField(tbName = "b")
    @ApiModelProperty("支付状态")
    private PartsPayFlagEnum payFlag;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("配件名称")
    private String partsName;

    @ApiModelProperty("销售价")
    private BigDecimal salesPrice;

    @ApiModelProperty("优惠价")
    private BigDecimal secondPrice;

    @ApiModelProperty("数量")
    private Integer qty;

    @ApiModelProperty("应收金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("收款状态")
    private PartsCreditEnum creditStatus;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;
}
