package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.PartsCheckStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsNewInVO {
    @ZfireField(hide = true)
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("凭证号")
    private String voucherNo;

    @ApiModelProperty("申请单号")
    private String applyNo;

    @ApiModelProperty("开单备注")
    private String remark;

    @ApiModelProperty("事物类型")
    private String objectType;

    @ApiModelProperty("配件编码")
    private String partsNumber;

    @ApiModelProperty("配件名称")
    private String partsName;

    @ApiModelProperty("物料组名称")
    private String materialGroupName;

    @ApiModelProperty("单位")
    private String goodsStockUnit;

    @ApiModelProperty("单价")
    private BigDecimal price;

    @ApiModelProperty("数量")
    private BigDecimal qty;

    @ApiModelProperty("新件编码(退旧件)")
    private String newNo;

    @ApiModelProperty("原价价格")
    private BigDecimal primaryPrice;

    @ApiModelProperty("折扣价格")
    private BigDecimal discPrice;

    @ApiModelProperty("优惠价格(实收)")
    private BigDecimal realPrice;

    @ApiModelProperty("新旧差价")
    private BigDecimal diffPrice;

    @ApiModelProperty("发出单位")
    private String sendUnit;

    @ApiModelProperty("领入单位")
    private String receiveUnit;

    @ApiModelProperty("发出网点编号")
    private String sendWebsitId;

    @ApiModelProperty("发出网点名称")
    private String sendWebsitName;

    @ApiModelProperty("发出配件网点编号")
    private String sendPartsWebsitId;

    @ApiModelProperty("领入网点编号")
    private String receiveWebsitId;

    @ApiModelProperty("领入网点名称")
    private String receiveWebsitName;

    @ApiModelProperty("领入配件网点编号")
    private String receivePartsWebsitId;

    @ApiModelProperty("开单日期")
    private Date orderDate;

    @ApiModelProperty("系统序号")
    private String sysNo;

    @ApiModelProperty("验收日期")
    private Date receiveDate;

    @ApiModelProperty("开单人")
    private String operateBy;

    @ApiModelProperty("发出单位区域")
    private String sendUnitArea;

    @ApiModelProperty("领入单位区域")
    private String receiveUnitArea;

    @ApiModelProperty("维修自编号")
    private String repairCustomNo;

    @ApiModelProperty("导入日期")
    private Date importDate;

    @ApiModelProperty("验收状态")
    private PartsCheckStatusEnum status;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("验收人")
    private String checkBy;

    @ApiModelProperty("验收时间")
    private Date checkTime;
}
