package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.material.PartsRefundStateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsRefundRecordVO {

    @ApiModelProperty(value = "退款单号")
    private String refundNo;

    @ApiModelProperty(value = "记录号")
    private String recordId;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "网点编码")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "配件网点编号")
    private String partsWebsitId;

    @ApiModelProperty(value = "师傅身份证")
    private String identity;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "销售单号")
    private String salesId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "销售单明细")
    private String salesItemId;

    @ApiModelProperty(value = "发生单号")
    private String ref;

    @ApiModelProperty(value = "单据类型")
    private String refType;

    @ApiModelProperty(value = "配件编码")
    private String partsNumber;

    @ApiModelProperty(value = "配件名称")
    private String partsName;

    @ApiModelProperty(value = "退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty(value = "退款状态")
    private PartsRefundStateEnum refundState;

    @ApiModelProperty(value = "是否已执行")
    private IsEnum isExec;

    @ApiModelProperty(value = "信息")
    private String info;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
