package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class WebsitPriceUpdBean {

    @ApiModelProperty(value = "单号")
    private String sheetId;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatName;

    @NotBlank(message = "网点编号不能为空")
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @NotBlank(message = "网点名称不能为空")
    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ApiModelProperty(value = "单据状态 SAVE=保存 OK=通过 FAIL=失败")
    private String flag;

    @ApiModelProperty(value = "备注")
    private String remark;

    @Valid
    @NotEmpty(message = "明细不能为空")
    @ApiModelProperty(value = "明细")
    private List<WebsitPriceUpdItemBean> items;
}
