package com.gree.mall.manager.bean.material.manage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel
public class WebsitPriceUpdItemBean {

    private String id;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "单号")
    private String sheetId;

    @ApiModelProperty(value = "商品类型 M=辅材 P=配件")
    private String goodsType;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @NotBlank(message = "商品编号不能为空")
    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @NotBlank(message = "商品名称不能为空")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @NotNull(message = "原售价不能为空")
    @ApiModelProperty(value = "网点原售价")
    private BigDecimal oldPrice;

    @NotNull(message = "新售价不能为空")
    @ApiModelProperty(value = "网点新售价")
    private BigDecimal newPrice;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "商品父类编号")
    private String parentCategoryId;

    @ApiModelProperty(value = "商品父类名称")
    private String parentCategoryName;

    @ApiModelProperty(value = "商品小类编号")
    private String goodsCategoryId;

    @ApiModelProperty(value = "商品小类名称")
    private String goodsCategoryName;
}
