package com.gree.mall.manager.bean.material.manage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class WebsitPurchaseBean {

    @ApiModelProperty(value = "单号")
    private String purchaseId;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @NotBlank(message = "网点编号不能为空")
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @NotBlank(message = "网点名称不能为空")
    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @NotBlank(message = "商品类型不能为空")
    @ApiModelProperty(value = "商品类型")
    private String goodsType;

    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @NotBlank(message = "供应商名称不能为空")
    @ApiModelProperty(value = "供应商名称")
    private String venderName;

    @ApiModelProperty(value = "仓储id")
    private String storageId;

    @ApiModelProperty(value = "仓储名称")
    private String storageName;

    @ApiModelProperty(value = "采购日期")
    private Date purchaseTime;

//    @ApiModelProperty(value = "附件地址")
//    private String fileUrl;

    @ApiModelProperty(value = "附件地址")
    private String imageUrl;

    @ApiModelProperty(value = "采购总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "单据状态 SAVE=保存 OK=通过 FAIL=失败")
    private String flag;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ApiModelProperty(value = "是否导入数据 true=是 false=否")
    private Boolean isImport;

    @Valid
    @NotEmpty(message = "明细不能为空")
    @ApiModelProperty(value = "明细")
    List<WebsitPurchaseItemBean> items;
}
