package com.gree.mall.manager.bean.material.manage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel
public class WebsitPurchaseRetItemBean {

    @ApiModelProperty(value = "租户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "单号")
    private String purchaseId;

    @ApiModelProperty(value = "商品类型 M=辅材 P=配件")
    private String goodsType;

    @NotBlank(message = "商品编号不能为空")
    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @NotBlank(message = "商品名称不能为空")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "退货进价")
    private BigDecimal retCost;

    @ApiModelProperty(value = "退货金额")
    private BigDecimal retValue;

    @NotNull(message = "退货数量不能为空")
    @Min(value = 1, message = "退货数量不能少于1")
    @ApiModelProperty(value = "退货数量")
    private BigDecimal retQty;
//
//    @ApiModelProperty(value = "验收赠品数量")
//    private BigDecimal recGiftQty;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "库存单位")
    private String goodsStockUnit;

    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ApiModelProperty(value = "商品父类编号")
    private String parentCategoryId;

    @ApiModelProperty(value = "商品父类名称")
    private String parentCategoryName;

    @ApiModelProperty(value = "商品小类编号")
    private String goodsCategoryId;

    @ApiModelProperty(value = "商品小类名称")
    private String goodsCategoryName;

    @ApiModelProperty(value = "适用品牌")
    private String brand;

    @ApiModelProperty(value = "适用产品大类")
    private String productCategory;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "采购进价")
    private BigDecimal cost;

    @ApiModelProperty(value = "采购金额")
    private BigDecimal costValue;

    @ApiModelProperty(value = "采购数量")
    private BigDecimal recQty;

    @ApiModelProperty(value = "库存数量(单据未审核时显示)")
    private BigDecimal stockQty;
}
