package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.material.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitSalesVO {

//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "单号")
    private String salesId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "购买方")
    private BuyPeopleEnum buyPeople;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅姓名")
    private String workerName;

    @ApiModelProperty(value = "师傅联系电话")
    private String workerMobile;

    @ApiModelProperty(value = "销售类型")
    private String salesType;

//    @ApiModelProperty(value = "工程师网点编号")
//    private String workerWebsitId;
//
//    @ApiModelProperty(value = "工程师网点名称")
//    private String workerWebsitName;

    @ApiModelProperty(value = "身份证")
    private String identity;

    @ApiModelProperty(value = "销售日期")
    private Date salesTime;

    @ApiModelProperty(value = "支付方式")
    private PayTypeEnum payType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否已支付")
    private IsEnum payFlag;

    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "支付订单号")
    private String payNo;

    @ApiModelProperty(value = "单据来源")
    private SourceSalesEnum orderSource;

    @ApiModelProperty(value = "退货金额")
    private BigDecimal retAmount;

    @ApiModelProperty(value = "状态")
    private MaterialSalesFlagEnum flag;

    @ApiModelProperty(value = "原因")
    private String reason;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交人")
    private String submitBy;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工程基础资料id")
    private String orderEnginBaseId;

    @ApiModelProperty(value = "工程编号")
    private String projectNo;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "入库仓库")
    private String storageName;
}
