package com.gree.mall.manager.bean.material.manage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel
@Data
public class WebsitStockOutListBean {

    @NotBlank(message = "发出网点编号不能空")
    @ApiModelProperty(value = "发出网点编号", required = true)
    private String sendWebsitId;

    @NotBlank(message = "发出网点名称不能空")
    @ApiModelProperty(value = "发出网点名称", required = true)
    private String sendWebsitName;

    @ApiModelProperty("凭证号")
    private String voucherNo;

    @ApiModelProperty("申请单号")
    private String applyNo;

    @ApiModelProperty("开单备注")
    private String remark;

    @NotBlank(message = "事物类型不能空")
    @ApiModelProperty(value = "事物类型", required = true)
    private String objectType;

    @NotBlank(message = "配件编码不能空")
    @ApiModelProperty(value = "配件编码", required = true)
    private String partsNumber;

    @NotBlank(message = "配件名称不能空")
    @ApiModelProperty(value = "配件名称", required = true)
    private String partsName;

    @ApiModelProperty("物料组名称")
    private String materialGroupName;

    @ApiModelProperty("单位")
    private String goodsStockUnit;

    @NotNull(message = "数量不能空")
    @Min(value = 1, message = "数量少于0")
    @ApiModelProperty(value = "数量", required = true)
    private BigDecimal qty;
}
