package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.enums.material.SalesPayOrderSourceEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitTradeVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "ID")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;
//
//    @ApiModelProperty(value = "商品类型")
//    private WebsitGoodsTypeEnum goodsType;
//
//    @ApiModelProperty(value = "订单类型")
//    private PayOrderTypeEnum orderType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "订单来源")
    private SalesPayOrderSourceEnum orderSource;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "单号")
    private String orderId;

    @ApiModelProperty(value = "原单号")
    private String originOrderId;
//
//    @ApiModelProperty(value = "支付单号")
//    private String orderNo;
//
//    @ApiModelProperty(value = "商户订单号")
//    private String outTradeNo;

    @ApiModelProperty(value = "支付方式")
    private PayTypeEnum payType;

    @ApiModelProperty(value = "是否已支付")
    private IsYesNoEnum payFlag;

//    @ApiModelProperty(value = "支付订单生成时间")
//    private Date orderCreateTime;

    @ApiModelProperty(value = "支付完成时间")
    private Date payTime;

    @ApiModelProperty(value = "支付金额")
    private BigDecimal payValue;

    @ApiModelProperty(value = "退款金额")
    private BigDecimal retValue;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "openid")
    private String openid;

    @ApiModelProperty(value = "微信流水号")
    private String transactionId;

//    @ApiModelProperty(value = "商户号")
//    private String mchNo;
//
//    @ApiModelProperty(value = "appid")
//    private String appid;
//
//    @ApiModelProperty(value = "子appid")
//    private String subAppid;
//
//    @ApiModelProperty(value = "子商户号")
//    private String subMchNo;

}
