package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitWorkSettlementVO {

    @ApiModelProperty("派工序号")
    private String pgId;

    @ApiModelProperty("序号")
    private String no;

    @ApiModelProperty("自编号码")
    private String workNumber;

    @ApiModelProperty("工单状态")
    private String workState;

    @ApiModelProperty("新结算单位号")
    private String newSettlementUnitNo;

    @ApiModelProperty("旧结算单位号")
    private String oldSettlementUnitNo;

    @ApiModelProperty("结算单位名")
    private String settlementUnitName;

    @ApiModelProperty("维修类型")
    private String repairType;

    @ApiModelProperty("内外机")
    private String outInnerMachine;

    @ApiModelProperty("机器条码")
    private String outMachineBarcode;

    @ApiModelProperty("外机型")
    private String outMachineType;

    @ApiModelProperty("外机型描述")
    private String outMachineDescr;

    @ApiModelProperty("内机条码")
    private String innerMachineBarcode;

    @ApiModelProperty("内机型")
    private String innerMachineType;

    @ApiModelProperty("内机型描述")
    private String innerMachineDescr;

    @ApiModelProperty("用户姓名")
    private String customerName;

    @ApiModelProperty("区号")
    private String areaNo;

    @ApiModelProperty("移动电话")
    private String mobile;

    @ApiModelProperty("电话号码")
    private String tel;

    @ApiModelProperty("省份")
    private String province;

    @ApiModelProperty("市县")
    private String city;

    @ApiModelProperty("区县")
    private String area;

    @ApiModelProperty("用户地址")
    private String customerAddress;

    @ApiModelProperty("GPS定位")
    private String gpsPosition;

    @ApiModelProperty("邮政编码")
    private String mailNumber;

    @ApiModelProperty("销售单位号")
    private String salesUnitNo;

    @ApiModelProperty("销售单位")
    private String salesUnitName;

    @ApiModelProperty("发票编号")
    private String invoiceNumber;

    @ApiModelProperty("购买日期")
    private String buyDate;

    @ApiModelProperty("安装日期")
    private String installDate;

    @ApiModelProperty("报修日期")
    private String applyDate;

    @ApiModelProperty("修复日期")
    private String repairDate;

    @ApiModelProperty("维修工ID")
    private String repairWorkerId;

    @ApiModelProperty("维修工姓名")
    private String repairWorkerName;

    @ApiModelProperty("维修师傅")
    private String repairWorker;

    @ApiModelProperty("维修工电话")
    private String repairMobile;

    @ApiModelProperty("维修费用")
    private BigDecimal repairAmount;

    @ApiModelProperty("交通费")
    private BigDecimal trafficAmount;

    @ApiModelProperty("住宿费用")
    private BigDecimal hotelAmount;

    @ApiModelProperty("吊装费用")
    private BigDecimal hoistAmount;

    @ApiModelProperty("其他费用")
    private BigDecimal otherAmount;

    @ApiModelProperty("总费用")
    private BigDecimal totalAmount;

    @ApiModelProperty("结算单批号")
    private String settlementBatchNo;

    @ApiModelProperty("安装网点号")
    private String installWebsiteNumber;

    @ApiModelProperty("安装网点名")
    private String installWebsiteName;

    @ApiModelProperty("新维修单位号")
    private String newRepairUnitNo;

    @ApiModelProperty("旧维修单位号")
    private String oldRepairUnitNo;

    @ApiModelProperty("维修单位名")
    private String repairUnitName;

    @ApiModelProperty("故障现象")
    private String bugDescr;

    @ApiModelProperty("故障分析")
    private String bugReason;

    @ApiModelProperty("维修内容")
    private String repairRemark;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("转结算时间")
    private String settlementTime;

    @ApiModelProperty("导入人")
    private String importBy;

    @ApiModelProperty("导入时间")
    private Date importTime;
}
