package com.gree.mall.manager.bean.material.vender;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class WebsitVenderGoodsRelaVO {

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "辅材编号")
    private String goodsId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "辅材名称")
    private String goodsName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "辅材代码")
    private String goodsCode;

    @ApiModelProperty(value = "进价")
    private BigDecimal cost;

    @ApiModelProperty(value = "状态")
    private StateEnum relaStatus;

    @ZfireField(tbName = "c", hide = true, colName = "parent_category_id")
    @ApiModelProperty(value = "辅材父类编号")
    private String parentCategoryId;

    @ZfireField(tbName = "c", colName = "parent_category_name")
    @ApiModelProperty(value = "父类名称")
    private String parentCategoryName;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "辅材小类编号")
    private String goodsCategoryId;

    @ZfireField(tbName = "c", colName = "category_name")
    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "库存单位")
    private String goodsStockUnit;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "销售单位")
    private String goodsSalesUnit;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "销售单位转换系数")
    private BigDecimal goodsSalesConvertQty;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "辅材状态")
    private StateEnum status;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "是否入师傅库存")
    private IsYesNoEnum manageWorkerStock;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "进价范围最小")
    private BigDecimal costRangeMini;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "进价范围最大")
    private BigDecimal costRangeMax;
}
