package com.gree.mall.manager.bean.material.vender;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class WebsitVenderVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;

//    @ApiModelProperty(value = "商品类型")
//    private String venderType;

    @ApiModelProperty(value = "联系人")
    private String linkName;

    @ApiModelProperty(value = "联系电话")
    private String linkTel;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "邮编")
    private String zipNo;

    @ApiModelProperty(value = "网址")
    private String www;

    @ApiModelProperty(value = "电子邮箱")
    private String email;

    @ApiModelProperty(value = "固定电话")
    private String telNo;

    @ApiModelProperty(value = "传真")
    private String faxNo;

    @ApiModelProperty(value = "法人")
    private String corporation;

    @ApiModelProperty(value = "开户银行")
    private String khBank;

    @ApiModelProperty(value = "开户行号")
    private String bankRow;

    @ApiModelProperty(value = "银行账号")
    private String accNo;

    @ApiModelProperty(value = "供应商营业执照号")
    private String licenseId;

    @ApiModelProperty(value = "营业执照地址")
    private String imageUrl;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
