package com.gree.mall.manager.bean.material.worker;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.material.PartsOrderFlagEnum;
import com.gree.mall.manager.enums.material.PartsRefundApplyTypeEnum;
import com.gree.mall.manager.enums.material.PartsRepairFlagEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class OldRefundManageVO {
    @ApiModelProperty(value = "申请单号")
    private String applyNo;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

//    @ApiModelProperty(value = "申请类别")
//    private PartsApplyCategoryEnum applyCategory;

    @ApiModelProperty(value = "申请类型")
    private PartsRefundApplyTypeEnum applyType;

//    @ApiModelProperty(value = "返还方式")
//    private PartsRefundModeEnum refundMode;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "维修标识")
    private PartsRepairFlagEnum repairFlag;

    @ApiModelProperty(value = "快递单号")
    private String expressNo;

    @ApiModelProperty(value = "收货地址")
    private String receiveAddress;

    @ApiModelProperty(value = "接收网点编号")
    private String receiveWebsitId;

    @ApiModelProperty(value = "接收网点名称")
    private String receiveWebsitName;

    @ApiModelProperty(value = "接收配件网点编号")
    private String receivePartsWebsitId;

    @ApiModelProperty(value = "网点地址")
    private String websitAddress;

    @ApiModelProperty(value = "师傅身份证")
    private String identity;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "工单编号")
    private String workOrderNo;

//    @ApiModelProperty(value = "总部工单派工id")
//    private String pgId;

    @ApiModelProperty(value = "用户名称")
    private String customerName;

    @ApiModelProperty(value = "用户电话")
    private String customerTel;

    @ApiModelProperty(value = "退款金额")
    private BigDecimal refundAmount;

//    @ApiModelProperty(value = "退款方式")
//    private PayTypeEnum refundAmountMode;

    @ApiModelProperty(value = "是否已结算")
    private IsEnum settlementState;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "审批备注")
    private String examineRemark;

    @ApiModelProperty(value = "复核备注")
    private String reviewRemark;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否优惠价")
    private IsEnum isDisc;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否执行优惠价")
    private IsEnum reviewResult;

    @ApiModelProperty(value = "单据状态")
    private PartsOrderFlagEnum flag;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交人")
    private String submitBy;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核人")
    private String examineBy;

    @ApiModelProperty(value = "审核时间")
    private Date examineTime;

    @ApiModelProperty(value = "确认返还人")
    private String refundedBy;

    @ApiModelProperty(value = "确认返还时间")
    private Date refundedTime;

    @ApiModelProperty(value = "复核人")
    private String reviewBy;

    @ApiModelProperty(value = "复核时间")
    private Date reviewTime;

    @ApiModelProperty(value = "导入更新时间")
    private Date importTime;
}
