package com.gree.mall.manager.bean.member;

import com.gree.mall.manager.enums.UserTypeEnum;
import com.gree.mall.manager.plus.entity.WorkerImg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 分销员，师傅入驻
 * @author ：lijh
 * @description：TODO
 * @date ：2024/1/31 9:17
 */
@Data
@ApiModel
public class UserApplyBean {
    @ApiModelProperty("用户id")
    private String userId;
    @ApiModelProperty("师傅编号")
    private String workerNumber;
    @ApiModelProperty("师傅名称")
    private String name;
    @ApiModelProperty("类型 SERVICE=分销员 WORKER=师傅")
    private UserTypeEnum type;
    @ApiModelProperty(required = false, value = "网点id(师傅必传)")
    private String websitId;
    @ApiModelProperty(required = true, value = "身份证号")
    private String idCard;
    @ApiModelProperty(required = true, value = "身份证图片")
    private String idCardImg;
    @ApiModelProperty("其他图片")
    private List<WorkerImg> workerImgs;

    @ApiModelProperty("银行卡")
    private String bankAccount;
}
