package com.gree.mall.manager.bean.notice;


import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.NoticeEnum;
import com.gree.mall.manager.plus.entity.CommonFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ZfireField(tbName = "nr")

@Data
public class NoticeDetail {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String noticeId;

    @ApiModelProperty(value = "文件标题")
    private String title;

    @ApiModelProperty(value = "文件编号")
    private String code;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ZfireField(type = "select")
    @ApiModelProperty(value = "公告类型")
    private NoticeEnum type;


    @ApiModelProperty(value = "发布日期")
    private Date issueTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "发布人id")
    private String issueUserId;

    @ApiModelProperty(value = "发布人名称")
    private String issueNickName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "公司id")
    private String adminCompanyId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业名称")
    private String adminCompanyName;


    @ApiModelProperty(value = "创建人（制单人）")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "已确认")
    private Integer num;


    @ZfireField(type = "select")
    @ApiModelProperty(value = "是否发布")
    private IsYesNoEnum status;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "附件")
    private List<CommonFile> files;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户ids")
    private List<String> adminWebsitIds;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "师傅ids")
    private List<String> workerIds;

}
