package com.gree.mall.manager.bean.notice;


import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.AdminNoticTypeEnum;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.NoticeEnum;
import com.gree.mall.manager.plus.entity.NoticeRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Map;

@ZfireField(tbName = "nr")

@Data
public class NoticeRecordReadVOBean   {


    @ZfireField(hide = true)
    @ApiModelProperty(value = "ID")
    private String id;

    @ZfireField(hide = true)
    private String noticeId;

    @ApiModelProperty(value = "标题")
    private String title;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "文件编号")
    private String code;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "消息内容")
    private String content;

    @ZfireField(type = "select")
    @ApiModelProperty(value = "公告类型")
    private NoticeEnum type;

    @ZfireField(type="select")
    @ApiModelProperty(value = "是否已读")
    private IsYesNoEnum readFlag;
    @ZfireField(hide = true)
    private Map<String,Object> readFlagMap;

    @ApiModelProperty(value = "阅读时间")
    private Date readTime;

    @ZfireField(type="select")
    @ApiModelProperty(value = "是否已通知")
    private IsYesNoEnum isNotice;
    @ZfireField(hide = true)
    private Map<String,Object> isNoticeMap;


    @ApiModelProperty(value = "是否发给师傅")
    private IsYesNoEnum isWorker;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "发布人")
    private String issueUserId;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "发布人昵称")
    private String issueNickName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "发布时间")
    private Date issueTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "接收人")
    private String adminUserId;

    @ApiModelProperty(value = "阅读人")
    private String adminNickName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "部门id")
    private String adminWebsitId;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "部门名称")
    private String adminWebsitName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "SYSTEM 系统消息  NOTICE 公告类型")
    private String noticeType;

    @ZfireField(multiple = true,hide = true)
    @ApiModelProperty(value = "NOTICE 平台公告   WBI 维保消息费用申请  WBK 维保费用申请审批  CRE_ORDER 创建工单  SEND_MALL  商城订单发货  RP_MALL 商城订单维权")
    private AdminNoticTypeEnum adminNoticeType;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "单id")
    private String orderId;
    @ZfireField(multiple = true,hide = true)
    @ApiModelProperty(value = "支付订单类型   YB延保  MALL 商城订单 M 辅材销售  P配件销售")
    private String paidType;

}
