package com.gree.mall.manager.bean.order;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.DeliveryStatusEnum;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.UnitEnum;
import com.gree.mall.manager.plus.entity.OrderDelivery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class OrderDeliveryVO    {

    @ApiModelProperty(value = "发货单号")
    private String deliveryId;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "状态")
    private DeliveryStatusEnum status;

    @ApiModelProperty(value = "发货数量")
    private Integer sendNum;

    @ApiModelProperty(value = "内机数量")
    private Integer sendInsideCodeQty;

    @ApiModelProperty(value = "外机数量")
    private Integer sendOutCodeQty;

    @ApiModelProperty(value = "配件数量")
    private Integer sendPartsCodeQty;

    @ApiModelProperty(value = "退货数量")
    private Integer refundNum;

    @ApiModelProperty(value = "订单数量")
    private Integer num;

    @ApiModelProperty(value = "快递单号")
    private String logisticsNo;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "快递公司code")
    private String companyCode;

    @ApiModelProperty(value = "快递公司名称")
    private String companyName;

    @ApiModelProperty(value = "发货时间")
    private Date deliverTime;

    @ApiModelProperty(value = "提货人")
    private String pickName;

    @ApiModelProperty(value = "提货人电话")
    private String pickPhone;

    @ApiModelProperty(value = "是否自提")
    private IsYesNoEnum pickType;

    @ApiModelProperty(value = "操作人")
    private String createBy;

    @ApiModelProperty(value = "操作时间")
    private Date createTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓储id")
    private String storageStockId;

    @ApiModelProperty(value = "发货仓库")
    private String storageStockName;


    @ApiModelProperty(value = "退货单号")
    private String refundId;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "YES NO")
    private String type;


}
