package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderComment;
import com.gree.mall.manager.plus.entity.OrderDetail;
import com.gree.mall.manager.plus.entity.OrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class OrderDetailBean extends OrderInfo {

    @ApiModelProperty("订单详情")
    private List<OrderDetail> orderDetails;
    @ApiModelProperty("卖家备注")
    private String merchantRemark;
    @ApiModelProperty("是否部分退款")
    private String refund;
    @ApiModelProperty("退款总金额")
    private BigDecimal refundTotal;
    @ApiModelProperty("是否可退款")
    private Boolean refundAble;
    @ApiModelProperty("派单成功(true=是 false=否)")
    private Boolean toWorkOrder = false;
    @ApiModelProperty("订单评价")
    private OrderComment orderComment;
    @ApiModelProperty("订单评价标签")
    private List<String> orderCommentTags;
    @ApiModelProperty("订单评价图片")
    private List<String> orderCommentImgs;
    @ApiModelProperty("团长名称")
    private String promotionGroupUserName;
    @ApiModelProperty("团长手机号")
    private String promotionGroupMobile;
    @ApiModelProperty("打印次数")
    private Integer printRecordCount;

    @ApiModelProperty("回收信息明细")
    private List<OrderOldProductDTO> orderOldProductDTOList;


}
