package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.enums.OrderStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class OrderDetailListBean {


    @ApiModelProperty("订单号")
    private String orderId;

    @ApiModelProperty("商品名称")
    private String goodsName;

    private String goodsCode;

    @ApiModelProperty("规格型号")
    private String goodsSpecValue;

    @ApiModelProperty("数量")
    private Integer num;

    @ApiModelProperty("销售单价")
    private String price;

    @ApiModelProperty("实际支付价格")
    private BigDecimal payAmount;

    @ApiModelProperty("支付总额(实际支付价格*数量)")
    private BigDecimal totalPrice;

    @ApiModelProperty("收货人名称")
    private String receUserName;

    @ApiModelProperty("收货人电话")
    private String recePhone;

    @ApiModelProperty("收货人地址")
    private String address;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("退款标记")
    private String refundFlag;

    @ApiModelProperty("退款金额")
    private String refundAmount;

    @ApiModelProperty("退款数量")
    private String refundNum;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("下单时间")
    private Date createTime;

    private Date payTime;

    @ApiModelProperty("买家昵称")
    private String userName;

    @ApiModelProperty("购买渠道")
    private String workerName;

    @ApiModelProperty("买家备注")
    private String buyerMsg;

    @ApiModelProperty("网点")
    private String websitName;

    @ApiModelProperty("业务员/网点")
    private String workerNameWithWebsitName;

    @ApiModelProperty("业务员手机号")
    private String workerPhone;

    @ApiModelProperty("分佣金额")
    private String shareAmount;

    @ApiModelProperty("团长名称")
    private String nickName;

    @ApiModelProperty("团长手机号")
    private String mobile;

    @ApiModelProperty("卖家留言")
    private String refundMessage;

    @ApiModelProperty("团购活动id")
    private String promotionGroupId;

    @ApiModelProperty("工单编号")
    private String workerOrderNo;

    @ApiModelProperty("评价商品的星数(0未评价)")
    private Integer commentGoods;

    @ApiModelProperty("评价服务的星数(0未评价)")
    private Integer commentService;

    @ApiModelProperty("评价物流的星数(0未评价)")
    private Integer commentExpress;

    @ApiModelProperty("退货说明")
    private String refundExplain;

    @ApiModelProperty("INSTALL和REPAIR")
    private String workOrderType;

    @ApiModelProperty("是否已入驻企业微信")
    private Boolean isAddCorp;

    @ApiModelProperty("是否为套购商品")
    private Boolean promotionPackageGoods;

    @ApiModelProperty("商户名称")
    private String companyWechatName;

}
