package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.plus.entity.GoodsMaterial;
import com.gree.mall.manager.plus.entity.OrderDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 线下销售订单-新增
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/1 17:18
 */
@ApiModel
@Data
public class OrderInfoAddBean {

    @ApiModelProperty("订单号，传则为修改")
    private String orderId;

    @NotBlank(message = "请选择工单类型")
    @ApiModelProperty("工单类型id")
    private String orderSmallType;

    @NotBlank(message = "请选择工单类型")
    @ApiModelProperty("工单类型")
    private String orderSmallTypeText;

    @ApiModelProperty("业务员")
    private String saleName;
    @ApiModelProperty("业务员电话")
    private String saleMobile;
    @ApiModelProperty("客户名称")
    private String receUserName;
    @ApiModelProperty("收货人电话")
    private String recePhone;

    @NotNull(message = "支付方式不能为空")
    @ApiModelProperty("支付方式 WECHAT=微信支付 CASH=现金支付 TRANSFER=转账支付")
    private PayTypeEnum payType;
//    @NotBlank(message = "省id不能为空")
//    @ApiModelProperty("省id")
//    private String provinceId;
//    @NotBlank(message = "市id不能为空")
//    @ApiModelProperty("市id")
//    private String cityId;
//    @NotBlank(message = "区id不能为空")
//    @ApiModelProperty("区id")
//    private String areaId;
//    @NotBlank(message = "街道id不能为空")
//    @ApiModelProperty("街道id")
//    private String streetId;
    @NotBlank(message = "省不能为空")
    private String province;
    @NotBlank(message = "市不能为空")
    private String city;
    @NotBlank(message = "区不能为空")
    private String area;
    @NotBlank(message = "街道不能为空")
    private String street;
    @NotBlank(message = "地址不能为空")
    private String receAddress;
    @ApiModelProperty("经度")
    private String lng;
    @ApiModelProperty("纬度")
    private String lat;
    @ApiModelProperty("附件")
    private String fileUrl;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否以旧换新 YES 是 NO否")
    private String isOld;

    @NotNull(message = "商品明细不能为空")
    @ApiModelProperty("商品明细(只用传 物料编号，数量，单价)")
    private List<OrderDetail> orderDetails;


    @ApiModelProperty("回收信息明细")
    private List<OrderOldProductAdd> orderOldProductAdds;

}
