package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class OrderShareReportBean {

    @ApiModelProperty("商城名称")
    private String shopName;

    @ApiModelProperty("结算编号")
    private String orderShareId;

    @ApiModelProperty("订单号")
    private String orderId;

   /* @ApiModelProperty("商品名")
    private String goodsName;*/

    /*@ApiModelProperty("单价")
    private BigDecimal price;*/

    /*@ApiModelProperty("数量")
    private Integer num;*/

    @ApiModelProperty("总价")
    private BigDecimal totalPrice;
    @ApiModelProperty("实付金额")
    private BigDecimal payAmount;
    @ApiModelProperty("运费")
    private BigDecimal freight;

    @ApiModelProperty("订单状态,是否售后")
    private String orderStatus;
    @ApiModelProperty("退款标记ING(退款中),PARTLY(部分退),ALL(全部退),COMMONLY(正常状态)")
    private String refundFlag;

    @ApiModelProperty("下单用户账号")
    private String userId;

    @ApiModelProperty("下单时间")
    private Date createTime;

    @ApiModelProperty("支付方式")
    private String payType;

    @ApiModelProperty("支付时间")
    private Date payTime;

    @ApiModelProperty("买家备注")
    private String remark;

    @ApiModelProperty("收货人")
    private String receUserName;

    @ApiModelProperty("收货电话")
    private String recePhone;

    @ApiModelProperty("收货地址")
    private String address;

    @ApiModelProperty("物流单号")
    private String logisticsNo;

    @ApiModelProperty("物流公司")
    private String name;

    @ApiModelProperty("发票类型")
    private Boolean type;

    @ApiModelProperty("发票抬头")
    private String taxName;

    @ApiModelProperty("发票内容")
    private String content;

    @ApiModelProperty("纳税人识别号")
    private String taxNo;

    @ApiModelProperty("公司注册地址")
    private String registerAddress;

    @ApiModelProperty("公司注册电话")
    private String registerPhone;

    @ApiModelProperty("开户行")
    private String bank;

    @ApiModelProperty("开户账号")
    private String account;

    @ApiModelProperty("接收邮箱")
    private String receiverEmail;

    @ApiModelProperty("接收手机号")
    private String receiverPhone;

    @ApiModelProperty("发票收件人")
    private String receiverName;

    @ApiModelProperty("发票收件地址")
    private String receiverAddress;

    @ApiModelProperty("折扣金额")
    private BigDecimal discountAmount;

    @ApiModelProperty("优惠券名称")
    private String couponName;

    @ApiModelProperty("交易号")
    private String transactionId;

    @ApiModelProperty("佣金结算状态")
    private String shareStatus;

    @ApiModelProperty("分销员")
    private String workUserName;

    @ApiModelProperty("所属网点")
    private String websitName;

/*
    @ApiModelProperty("商品佣金")
    private BigDecimal shareAmount;
*/

    @ApiModelProperty("订单佣金")
    private BigDecimal amount;

    @ApiModelProperty("结算时间")
    private Date settleTime;


    @ApiModelProperty("职位")
    private String position;
/*    @ApiModelProperty("大类编号")
    private String mainNumber;*/


}
