package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

@ApiModel
@Data
public class WorkerOrderInfo {

    @ApiModelProperty("信息编号")
    private String workerOrder;
    @ApiModelProperty("总部信息编号")
    private String pgid;
    @ApiModelProperty("工单状态数值")
    private Integer orderStateInt;
    @ApiModelProperty("工单状态")
    private String orderState;
    @ApiModelProperty("售后服务网点编号")
    private String installNumber;
    @ApiModelProperty("售后服务网点名称")
    private String installName;
    @ApiModelProperty("主要服务人员")
    private String workerName;
    @ApiModelProperty("主要服务人员电话")
    private String workerPhone;
    @ApiModelProperty("工单接收时间")
    private String orderReceTime;
    @ApiModelProperty("完工时间")
    private String finishTime;
    @ApiModelProperty("工单反馈信息")
    private List<Fkxx> fkxxs;
    @ApiModelProperty("辅材支付信息")
    private List<Fcxx> fcxxs;
    @ApiModelProperty("订单明细")
    private List<OrderDetail> orderDetails;
    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("下单时间")
    private Date payTime;
    @ApiModelProperty("辅助人员名称")
    private String assistName;
    @ApiModelProperty("预约时间")
    private String reserveTime;
    @ApiModelProperty("服务内容")
    private String serverContent;
    @ApiModelProperty("支架")
    private String bracket;
    @ApiModelProperty("加长管")
    private String pipe;
    @ApiModelProperty("空气开关")
    private String switchFlag;
    @ApiModelProperty("高空作业")
    private String highAltitude;
    @ApiModelProperty("一次成型墙孔")
    private String hole;
    @ApiModelProperty("服务备注")
    private String remark;

    @ApiModel
    @Data
    public static class Fkxx{
        @ApiModelProperty("操作类型")
        private String operatorType;
        @ApiModelProperty("操作内容")
        private String operatorContent;
        @ApiModelProperty("最后操作时间")
        private String lastOperatorTime;
        @ApiModelProperty("操作人")
        private String operatorName;
        @ApiModelProperty("操作网点")
        private String operatorWebsit;
        @ApiModelProperty("反馈结果")
        private String result;
        @ApiModelProperty("附件")
        private String files;
    }

    @ApiModel
    @Data
    public static class Fcxx{
        @ApiModelProperty("id")
        private Integer id;
        @ApiModelProperty("费用单号")
        private String orderNo;
        @ApiModelProperty("操作网点")
        private String operatorWebsit;
        @ApiModelProperty("操作人")
        private String operatorName;
        @ApiModelProperty("支付状态")
        private String payStatus;
        @ApiModelProperty("支付时间")
        private String payTime;
        @ApiModelProperty("金额")
        private String amount;
        @ApiModelProperty("备注")
        private String remark;
        @ApiModelProperty("详情")
        private List<Map<String,Object>> details;
    }

}
