package com.gree.mall.manager.bean.policy;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.PolicyTypeEnum;
import com.gree.mall.manager.enums.SendPolciyEnum;
import com.gree.mall.manager.plus.entity.MailboxSendRecordPolicy;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class MailboxSendRecordPolicyVo    {


    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "保单编号")
    private String policyNumber;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "参保人电话")
    private String policyMobile;

    @ApiModelProperty(value = "参保人")
    private String policyName;

    @ApiModelProperty(value = "参保人身份证")
    private String policyIdcard;

    @ApiModelProperty(value = "保单操作类型")
    private SendPolciyEnum type;

    @ApiModelProperty(value = "保险类型")
    private PolicyTypeEnum policyType;

    @ApiModelProperty(value = "替换人")
    private String replaceName;

    @ApiModelProperty(value = "替换人身份证")
    private String replaceIdcard;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "发送批次")
    private String sendBatch;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "保单号id")
    private String policyOrderId;

}
