package com.gree.mall.manager.bean.policy;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.PolicyOrderEmStutasEnum;
import com.gree.mall.manager.plus.entity.PolicyOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

@ApiModel
@Data
public class PolicyOrderEmVO    {

    @ApiModelProperty(value = "订单号")
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "保单状态")
    private PolicyOrderEmStutasEnum policyOrderStatus;

    @ApiModelProperty(value = "保单名称")
    private String policyName;

    @ApiModelProperty(value = "保单编号")
    private String policyNumber;

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "所属公司")
    private String companyWechatName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "所属公司编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "工程师编号")
    private String workerNumber;

    @ApiModelProperty(value = "工程师")
    private String workerName;

    @ApiModelProperty(value = "身份证")
    private String workerIdcard;

    @ApiModelProperty(value = "工程师电话")
    private String workerMobile;


    @ApiModelProperty(value = "被替换工程师")
    private String replaceName;

    @ApiModelProperty(value = "被替换工程师身份证")
    private String replaceIdcard;

    @ApiModelProperty(value = "被替换工程师编号")
    private String replaceNumber;

    @ApiModelProperty(value = "被替换工程师联系电话")
    private String replacePhone;


    @ApiModelProperty(value = "生效日期")
    private Date startTime;

    @ApiModelProperty(value = "截止日期")
    private Date endTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "操作时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "操作人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;



}
