package com.gree.mall.manager.bean.policy;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.PolicyOrderInStutasEnum;
import com.gree.mall.manager.plus.entity.PolicyOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class PolicyOrderInVO    {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "代买单位")
    private String buyUnit;


    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;



    @ApiModelProperty(value = "工程师编号")
    private String workerNumber;

    @ApiModelProperty(value = "工程师")
    private String workerName;

    @ApiModelProperty(value = "身份证")
    private String workerIdcard;

    @ApiModelProperty(value = "工程师电话")
    private String workerMobile;


    @ApiModelProperty(value = "支付金额")
    private String payAmount;

    @ApiModelProperty(value = "保单状态")
    private PolicyOrderInStutasEnum policyOrderStatus;



    @ApiModelProperty(value = "保单名称")
    private String policyName;


    @ApiModelProperty(value = "所属一级网点编号")
    private String classWebsitId;

    @ApiModelProperty(value = "所属一级网点名称")
    private String classWebsitName;

    @ApiModelProperty(value = "是否发送")
    private IsYesNoEnum isSend;


    @ApiModelProperty(value = "生效日期")
    private Date startTime;

    @ApiModelProperty(value = "截止日期")
    private Date endTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;



    @ZfireField(hide = true)
    @ApiModelProperty(value = "订单号")
    private String id;





}
