package com.gree.mall.manager.bean.policy;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.PolicyOrderStatusEnum;
import com.gree.mall.manager.plus.entity.PolicyOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class PolicyOrderVO  {


    @ApiModelProperty(value = "订单号")
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "保单状态")
    private PolicyOrderStatusEnum policyOrderStatus;

    @ApiModelProperty(value = "保单名称")
    private String policyName;

    @ApiModelProperty(value = "保单编号")
    private String policyNumber;

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "所属公司")
    private String companyWechatName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "所属公司编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "工程师编号")
    private String workerNumber;

    @ApiModelProperty(value = "工程师")
    private String workerName;

    @ApiModelProperty(value = "身份证")
    private String workerIdcard;

    @ApiModelProperty(value = "工程师电话")
    private String workerMobile;

    @ApiModelProperty(value = "邮件批次号")
    private String sendBatch;

    @ApiModelProperty(value = "支付金额")
    private String payAmount;

    @ApiModelProperty(value = "微信流水号")
    private String transactionId;

    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    @ApiModelProperty(value = "是否发送")
    private IsYesNoEnum isSend;

    @ApiModelProperty(value = "是否收到回执")
    private IsYesNoEnum isReceipt;

    @ApiModelProperty(value = "发送时间")
    private Date sendTime;

    @ApiModelProperty(value = "回执时间")
    private Date receiptTime;

    @ApiModelProperty(value = "生效日期")
    private Date startTime;

    @ApiModelProperty(value = "截止日期")
    private Date endTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;



}
