package com.gree.mall.manager.bean.settle;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.SettleWagesStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class SettleMonthWagesWorkerVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "月度工资汇总id")
    private String settleMonthWagesId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "月度工资详情id")
    private String settleMonthWagesDetailId;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "师傅id")
    private String workerId;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师电话")
    private String workerMobile;

    @ApiModelProperty(value = "汇总名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private SettleWagesStatusEnum status;

    @ApiModelProperty(value = "安装费用金额（元）")
    private BigDecimal installAmount;

    @ApiModelProperty(value = "维修费用金额（元）")
    private BigDecimal repairAmount;

    @ApiModelProperty(value = "其它费用金额（元）")
    private BigDecimal otherAmount;

    @ApiModelProperty(value = "结算金额合计（元）")
    private BigDecimal settleAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "发放时间")
    private Date sendDate;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "发放凭证")
    private String fileUrl;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "发放备注")
    private String remark;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "发放人")
    private String createBy;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "操作发放时间")
    private String createTime;

}
