package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.repair.settle.IssueSummaryStatusEnum;
import com.gree.mall.manager.enums.repair.settle.SummaryStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class AllDailyImportSummaryItemVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ApiModelProperty(value = "导入批次号")
    private String importBatchNo;

    @ApiModelProperty(value = "派工序号")
    private String dispatchOrderNo;

    @ApiModelProperty(value = "自编编号")
    private String selfNo;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "发放状态")
    private IssueSummaryStatusEnum status;

    @ApiModelProperty(value = "汇总批次号")
    private String summaryBatchNo;

    @ZfireField(tbName = "sdrc")
    @ApiModelProperty(value = "结算费用时间")
    private Date doTime;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "发放月份")
    private String month;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "发放时间")
    private String issueTime;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "银行卡账号")
    private String bankAccount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "户名")
    private String bankAccountName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "开户行")
    private String depositBank;

    @ApiModelProperty(value = "工单状态")
    private SummaryStatusEnum summaryStatus;

    @ApiModelProperty(value = "新结算单位号")
    private String summaryNumber;

    @ApiModelProperty(value = "旧结算单位号")
    private String oldSummaryNumber;

    @ApiModelProperty(value = "结算单位名称")
    private String summaryName;

    @ApiModelProperty(value = "维修类型")
    private String repairType;

    @ApiModelProperty(value = "内外机")
    private String inOutMachine;

    @ApiModelProperty(value = "机器条码")
    private String machineCode;

    @ApiModelProperty(value = "外机型")
    private String outMachineType;

    @ApiModelProperty(value = "外机型描述")
    private String outMachineDescribe;

    @ApiModelProperty(value = "内机条码")
    private String inMachineCode;

    @ApiModelProperty(value = "内机类型")
    private String inMachineType;

    @ApiModelProperty(value = "内机型描述")
    private String inMachineDescribe;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ApiModelProperty(value = "移动电话")
    private String mobile;

    @ApiModelProperty(value = "电话号码")
    private String tel;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "市县")
    private String city;

    @ApiModelProperty(value = "区县")
    private String county;

    @ApiModelProperty(value = "用户地址")
    private String userAddr;

    @ApiModelProperty(value = "GPS定位")
    private String gpsAddr;

    @ApiModelProperty(value = "邮政编码")
    private String postalCode;

    @ApiModelProperty(value = "销售单位号")
    private String saleDeptNo;

    @ApiModelProperty(value = "销售单位")
    private String saleDeptName;

    @ApiModelProperty(value = "发票编号")
    private String invoiceCode;

    @ApiModelProperty(value = "购买日期")
    private Date buyDate;

    @ApiModelProperty(value = "安装日期")
    private Date installDate;

    @ApiModelProperty(value = "报修日期")
    private Date reportDate;

    @ApiModelProperty(value = "修复日期")
    private Date repairDate;

    @ApiModelProperty(value = "维修工id")
    private String repairWorkerId;

    @ApiModelProperty(value = "维修工名字")
    private String repairWorkerName;

    @ApiModelProperty(value = "维修工电话")
    private String repairWorkerMobile;

    @ApiModelProperty(value = "维修费用")
    private BigDecimal repairFee;

    @ApiModelProperty(value = "交通费")
    private BigDecimal trafficFee;

    @ApiModelProperty(value = "住宿费用")
    private BigDecimal accommodationFee;

    @ApiModelProperty(value = "吊装费用")
    private BigDecimal liftingFee;

    @ApiModelProperty(value = "其他费用")
    private BigDecimal otherFee;

    @ApiModelProperty(value = "总费用")
    private BigDecimal totalFee;

    @ApiModelProperty(value = "结算单批号")
    private String settlementBatchNo;

    @ApiModelProperty(value = "安装网点号")
    private String installWebsitNo;

    @ApiModelProperty(value = "安装网点名称")
    private String installWebsitName;

    @ApiModelProperty(value = "新维修单位号")
    private String repairUnit;

    @ApiModelProperty(value = "旧维修单位号")
    private String oldRepairUnit;

    @ApiModelProperty(value = "维修单位名")
    private String repairName;

    @ApiModelProperty(value = "故障现象")
    private String faultPhenomenon;

    @ApiModelProperty(value = "故障分析")
    private String faultAnalysis;

    @ApiModelProperty(value = "维修内容")
    private String repairDetail;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "转结算时间")
    private Date settlementTime;

}
