package com.gree.mall.manager.bean.settle.repair;


import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.repair.settle.CallStatusEnum;
import com.gree.mall.manager.enums.repair.settle.IssueSummaryStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class SettleDailyBankTransferRecordVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "调用时间")
    private Date callApiTime;

    @ApiModelProperty(value = "调用状态")
    private CallStatusEnum callStatus;

    @ApiModelProperty(value = "返回内容")
    private String callBackMessage;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "发放批次")
    private String issueBatchNo;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "结算金额")
    private BigDecimal summaryAmount;

    @ApiModelProperty(value = "发放状态")
    private IssueSummaryStatusEnum issueStatus;

    @ApiModelProperty(value = "操作人")
    private String doBy;

    @ApiModelProperty(value = "操作时间")
    private Date doTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "请求序列号")
    private String reqNo;
}
