package com.gree.mall.manager.bean.trade;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class GoodsCategoryItemVO     {

    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

//    @ApiModelProperty(value = "商户名称")
//    private String companyName;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "三级")
    private String serviceCategoryId;

    @ApiModelProperty(value = "属性名称")
    private String categoryName;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "一级")
    private String mainId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类")
    private String mainName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "二级")
    private String smallId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "二级名称")
    private String smallName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "属性类型")
    private String typeAttribute;

    @ApiModelProperty(value = "字典值")
    private String dictName;

    @ApiModelProperty(value = "整机参考价格（元/台）")
    private BigDecimal price;

    @ApiModelProperty(value = "最高价格（元）")
    private BigDecimal maxPrice;

    @ApiModelProperty(value = "最低价格（元）")
    private BigDecimal minPrice;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "SIGIN 单选  MANY 多选")
    private String typeOption;


}
