package com.gree.mall.manager.bean.websit;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.material.PartsAttrEnum;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@ApiModel
@Data
@ZfireField(tbName = "a")
public class WebsitPartsFactoryRetVO   {


    @ApiModelProperty(value = "返厂单")
    private String partsRetId;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "租户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "类型")
    private PartsAttrEnum type;

    @ApiModelProperty(value = "状态")
    private ExamineStatusEnum flag;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交人")
    private String submitBy;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;


    @ApiModelProperty(value = "返厂单位")
    private String factory;

    @ApiModelProperty(value = "返厂地址")
    private String factoryAddress;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "退货仓库")
    private String storageName;
}
