package com.gree.mall.manager.bean.websit;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class WebsitSalesRetVO   {

    @ApiModelProperty(value = "退货单号")
    private String salesRetId;

    @ApiModelProperty(value = "销售单号")
    private String salesId;

//    @ApiModelProperty(value = "所属商户")
//    private String companyName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "租户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "工程师编号")
    private String workerId;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ApiModelProperty(value = "销售类型")
    private String salesType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工程师网点编号")
    private String workerWebsitId;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "工程师网点名称")
    private String workerWebsitName;

    @ApiModelProperty(value = "身份证")
    private String identity;

    @ApiModelProperty(value = "销售日期")
    private Date salesTime;

    @ApiModelProperty(value = "支付方式")
    private PayTypeEnum payType;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "支付时间")
    private Date payTime;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "支付订单号")
    private String payNo;

    @ApiModelProperty(value = "退货金额")
    private BigDecimal retAmount;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "单据来源 PC=PC端 MINI=小程序端 MOBILE=移动端")
    private String source;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "退款时间")
    private Date retTime;

    @ApiModelProperty(value = "退款状态")
    private ExamineStatusEnum retState;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "退款流水号")
    private String retSerialNo;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工程基础资料id")
    private String orderEnginBaseId;

    @ApiModelProperty(value = "工程编号")
    private String projectNo;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "退货仓库")
    private String storageName;
}
