package com.gree.mall.manager.bean.workorder;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.workorder.IncreEnum;
import com.gree.mall.manager.enums.workorder.IncreTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class IncreVO   {

    @ZfireField(hide = true)
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ApiModelProperty(value = "类型")
    private IncreTypeEnum type;

    @ApiModelProperty(value = "使用类型")
    private IncreEnum usedType;

    @ApiModelProperty(value = "是否上架")
    private IsEnum status;

    @ApiModelProperty(value = "服务内容数量")
    private Integer num;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

}
