package com.gree.mall.manager.bean.workorder;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.*;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class SettlementOrderManualVO  {

    @ApiModelProperty(value = "结算单号")
    @TableId(value = "settlement_order_id", type = IdType.ID_WORKER_STR)
    private String settlementOrderId;

//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "品牌")
    private String brand;

    @ApiModelProperty(value = "客户电话")
    private String userMobile;

    @ApiModelProperty(value = "工程师编号")
    private String workerId;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ApiModelProperty(value = "身份证")
    private String identity;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "销售类型")
    private SettlementTypeEnum settlementType;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "支付状态")
    private PayStatusEnum payStatus;

    @ApiModelProperty(value = "支付单号")
    private String orderId;

    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    @ApiModelProperty(value = "结算状态:")
    private SettlementStatusEnum status;


    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "产品数量")
    private BigDecimal num;

    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "工单单号")
    private String workerOrderId;

    @ApiModelProperty(value = "支付方式")
    private SettlementPayTypeEnum payType;

    @ApiModelProperty(value = "销售类型")
    private SaleTypeEnum saleType;



    @ApiModelProperty(value = "手工费用")
    private BigDecimal manualAmount;

}
