package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.goods.GoodsCodeAccVO;
import com.gree.mall.manager.bean.goods.GoodsSaleLedgerVO;
import com.gree.mall.manager.bean.goods.GoodsStockVO;
import com.gree.mall.manager.bean.trade.GoodsCategoryItemVO;
import com.gree.mall.manager.bean.trade.GoodsCategoryOtherItemVO;
import com.gree.mall.manager.bean.trade.OldProductManagerVO;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JxMapper {

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<GoodsStockVO> pageStock(Page page, @Param("ex") ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<GoodsCodeAccVO> pageCode(Page page, @Param("ex") ZfireParamBean zfireParam);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<GoodsSaleLedgerVO> pageSale(Page page,@Param("ex")  ZfireParamBean zfireParam);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<GoodsCategoryItemVO> pageV2(Page page, @Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<GoodsCategoryOtherItemVO> listOther(Page page,@Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds") List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<OldProductManagerVO> pageManagerV2(Page page,@Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds")  List<String> companyWechatIds);
}
