package com.gree.mall.manager.controller.report;

import com.gree.mall.manager.helper.ResponseHelper;
import com.gree.mall.manager.logic.report.OfflineZoneLogic;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Slf4j
@RestController
@Api(value = "线下网点区域列表选择", tags = {"线下网点区域列表选择"})
@RequestMapping(value = "/select", produces = "application/json; charset=utf-8")
public class OfflineZoneController {

    @Autowired
    private OfflineZoneLogic offlineZoneLogic;
    @GetMapping("/websit")
    @ApiOperation(value = "网点列表")
    public ResponseHelper websit(
            HttpServletRequest request
    ) {
        return ResponseHelper.success(offlineZoneLogic.websit(request));
    }

    @GetMapping("/zone")
    @ApiOperation(value = "区域列表")
    public ResponseHelper zone(
            HttpServletRequest request
    ) {
        return ResponseHelper.success(offlineZoneLogic.zone(request));
    }

}
