package com.gree.mall.manager.controller.sync;

import cn.hutool.core.lang.TypeReference;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.annotation.ZfireList;
import com.gree.mall.manager.bean.policy.PolicyDetail;
import com.gree.mall.manager.bean.policy.PolicyVo;
import com.gree.mall.manager.exception.RemoteServiceException;
import com.gree.mall.manager.helper.ResponseHelper;
import com.gree.mall.manager.logic.SyncOrderInfoLogic;
import com.gree.mall.manager.logic.policy.PolicyLogic;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import com.gree.mall.manager.zfire.util.FieldUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.ParseException;

@Slf4j
@RestController
@Api(value = "同步广佛工单API", tags = {"同步广佛工单API"})
@RequestMapping(value = "/syncOrderInfo", produces = "application/json; charset=utf-8")
public class SyncController {

    @Autowired
    private SyncOrderInfoLogic syncOrderInfoLogic;


    @PostMapping("/syncGuang")
    @ApiOperation("同步广州销司")
    public ResponseHelper syncGuang(

    ) throws ParseException {
         syncOrderInfoLogic.syncGuang();
        return ResponseHelper.success();
    }



    @PostMapping("/syncDetail")
    @ApiOperation("同步订单详情")
    public ResponseHelper syncDetail(

    ) throws ParseException {
        syncOrderInfoLogic.syncDetail();
        return ResponseHelper.success();
    }
}
