package com.gree.mall.manager.controller.workerorder;

import com.gree.mall.manager.bean.workorder.OrderBaseCountBean;
import com.gree.mall.manager.helper.ResponseHelper;
import com.gree.mall.manager.logic.workorder.OrderBaseCountLogic;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RequiredArgsConstructor
@Slf4j
@RestController
@Api(value = "首页工单统计API", tags = {"首页工单统计API"})
@RequestMapping(value = "/order/base/count", produces = "application/json; charset=utf-8")
public class OrderBaseCountController {

    private final OrderBaseCountLogic orderBaseCountLogic;


    @PostMapping("/status/count")
    @ApiOperation(value = "按工单状态统计")
    public ResponseHelper<OrderBaseCountBean> countStatus() {
        OrderBaseCountBean orderBaseCountBean = orderBaseCountLogic.baseCountBean();
        return ResponseHelper.success(orderBaseCountBean);
    }


}
