package com.gree.mall.manager.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum TypeGoodsCategoryEnum implements BaseEnum {
    SPEC("SPEC","规格"),
    OTHER("OTHER","其他"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static TypeGoodsCategoryEnum create(String key) {
        return BaseEnum.keyToEnum(TypeGoodsCategoryEnum.class, key);
    }
}
